Index: lib/style/common/templates/metacatui/confirmData.tmpl
===================================================================
--- lib/style/common/templates/metacatui/confirmData.tmpl	(revision 7894)
+++ lib/style/common/templates/metacatui/confirmData.tmpl	(revision 7895)
@@ -1,6 +1,6 @@
 [% INCLUDE $templates.header %]
 
-<!-- CONTENT SECTION
+	<!-- CONTENT SECTION
     ======================================================================= -->
 	<article id="EntryReview">
 		<div class="container">
@@ -13,7 +13,7 @@
 				<p>
 					Please review the information that you've entered. To make changes, click on the edit button <a href="#buttons">at the bottom of the page</a>.
 				</p>
-			</div>	
+			</div>
 
 <table class="intro" cellpadding="3" cellspacing="0">
 <tr><td align="left">
@@ -558,69 +558,100 @@
 </td><tr></table>
 
 [% IF userLoggedIn != 'true' %]
-<table class="intro" cellspacing="0" border="0" cellpadding="9">
-  <tr><td class="sectbody"><span class="sectionnames">SIGN IN</span></td></tr>
-  <tr><td class="sectbody"><span class="label"><u>NOTE:</u> You must enter your username
-      and password. This is for the protection of your metadata. The
-      username and password will prevent any unauthorized person from
-      modifying your metadata. If you do not have an account, click <a
-      target="ldap" href="[% cgiPrefix %]/ldapweb.cgi?cfg=[% cfg %]">here</a>. 
-      If you don't remember your password, you can
-      have it reset and e-mailed to you by clicking <a target="ldap"
-      href="[% cgiPrefix %]/ldapweb.cgi?stage=initresetpass&cfg=[% cfg %]">here</a>. If you want to 
-      change your password, click <a target="ldap"
-      href="[% cgiPrefix %]/ldapweb.cgi?stage=initchangepass&cfg=[% cfg %]">here</a>.
-      </span>
-      <table cellspacing="0" border="0" cellpadding="9" width="360" align="left">
-        <tr>
-	  <td>
-	    <span class="label">
-	      Username: 
-	    </span></td>
-	  <td>
-	    <input type="TEXT" name="username"></td></tr>
-	<tr>
-	  <td>
-	    <span class="label"> 	
-	      Organization: 
-	    </span></td>
-	  <td>
-	    <select name="organization">
-	    	<option value="NCEAS">NCEAS</option>
-	    	<option value="KU">KU</option>
-	    	<option value="LTER">LTER</option>
-	    	<option value="OBFS">OBFS</option>
-	    	<option value="OSUSB">OSUSB</option>
-	    	<option value="PARC">PARC</option>
-	    	<option value="PISCO">PISCO</option>
-	    	<option value="SDSC">SDSC</option>
-	    	<option value="UCNRS">UCNRS</option>
-	    	<option value="unaffiliated">unaffiliated</option>
-	    </select></td></tr>
-	<tr>
-	  <td>
-	    <span class="label"> 	
-	      Password: 
-	    </span></td>
-	  <td>
-	    <input type="PASSWORD" name="password">
-	  </td></tr>
-      </table>
-    </td></tr>
-</table>
-<p>&nbsp;</p>
+
+			<div class="row-fluid">
+				<div class="span6 pagination-left">
+					<h2>Login</h2>
+					<p class="lead">
+						<em>NOTE:</em> You must enter your username and password. 
+					</p>
+					<p>	
+						This is for the protection of your metadata. 
+						The username and password will prevent any unauthorized person from
+						modifying your metadata.
+					</p>
+  
+					<form method="post" action="[% cgiPrefix %]/register-dataset.cgi" onsubmit="return submitform(this);" >
+						<input type="hidden" name="stage" value="login"> 
+						<input type="hidden" name="username" value=""> 
+						<input type="hidden" name="cfg" value="[%cfg%]"> 
+					
+						<div>
+							<div class="row-fluid">
+								<div class="span2 text-left">Username</div>
+								<div class="span4 text-left"><input name="uid" type="text" value=""></div>
+							</div>
+							<div class="row-fluid">
+								<div class="span2 text-left">Organization</div>
+								<div class="span4 text-left"><select name="organization">
+										<option value="" selected>&#8212; choose one &#8212;</option>
+										<option value="NCEAS">NCEAS</option>
+										<option value="LTER">LTER</option>
+										<option value="KU">KU</option>
+										<option value="OBFS">OBFS</option>
+										<option value="OSUSB">OSUSB</option>
+										<option value="PARC">PARC</option>
+										<option value="PISCO">PISCO</option>
+										<option value="SAEON">SAEON</option>
+										<option value="SANParks">SANParks</option>
+										<option value="SDSC">SDSC</option>
+										<option value="UCNRS">UCNRS</option>
+										<option value="unaffiliated">unaffiliated</option>
+								</select></div>
+							</div>
+							<div class="row-fluid">
+								<div class="span2 text-left">Password</div>
+								<div class="span4 text-left"><input name="password" type="password" maxlength="50"
+									value=""></div>
+							</div>
+							<div class="row-fluid">
+								<div class="offset2 span4 text-left">
+									<input type="submit" name="loginAction" value="Login">
+								</div>
+							</div>
+						</div>
+						
+					</form>
+				</div>
+				
+				<div class="span6 pagination-left">
+					
+					<div class="row-fluid">
+						<div class="span6 text-left">
+							<p>Don't have an account yet?</p>
+						</div>
+						<div class="span6 text-left">
+							<a href="[% cgiPrefix %]/ldapweb.cgi?cfg=[%cfg%]">
+								<i class="icon-user"></i>
+								Create a new account
+							</a>
+						</div>
+					</div>
+					
+					<div class="row-fluid">
+						<div class="span6 text-left">
+							<p>Forgot your password?</p>
+						</div>
+						<div class="span6 text-left">							
+							<a href="[% cgiPrefix %]/ldapweb.cgi?cfg=[%cfg%]&amp;stage=resetpass">
+								<i class="icon-key"></i>
+								Reset your password
+							</a>
+						</div>
+					</div>
+						
+				</div>
+				
+			</div>
+
 [% END %]
 
-<a name="buttons"></a>
-<table class="intro" cellspacing="0" cellpadding="3" >
-  <tr><td align="left">
-  <p><span class="label">Is the information above correct?</span></p> 
-      <p> 
-        <input type="SUBMIT" value="     Yes, submit    " name="dataCorrect">
-        <input type="SUBMIT" value="No, go back to editing" name="dataWrong">
-      </p>
-    </td></tr>
-</table>
+	<!-- form submission -->
+	<a name="buttons"></a>
+	<p><span class="label">Is the information above correct?</span></p> 
+	<input type="SUBMIT" value="     Yes, submit    " name="dataCorrect">
+	<input type="SUBMIT" value="No, go back to editing" name="dataWrong">
+
 </form>
 
 		</div>