Index: lib/style/common/templates/metacatui/entryForm.tmpl
===================================================================
--- lib/style/common/templates/metacatui/entryForm.tmpl	(revision 7899)
+++ lib/style/common/templates/metacatui/entryForm.tmpl	(revision 7900)
@@ -336,78 +336,84 @@
 						</div>
 						<div id="collapseParties" class="accordion-body collapse in">
 							<div class="accordion-inner">
-								<!--  For now, just include the table-based editor until .js is ammended to work with new DOM -->
-								    <table class="tables" cellpadding="5" cellspacing="0" id="apTable">    
-									    <tr class="sectbody"><td class="rightCol"><span class="label">First Name</span></td>
-									        <td colspan="5">
-									        <input name="aoFirstName" id="AONameFirst" class="shortwidth"></td></tr>
-									            
-									    <tr class="sectbody"><td class="rightCol"><span class="label">Last Name</span></td>
-									        <td colspan="5">
-									        <input name="aoLastName" id="AONameLast" class="shortwidth"></td></tr>
-									                   
-									    <tr class="sectbody"><td class="rightCol"><span class="label">Role</span></td>
-									        <td colspan="5"> 
-									        <select id="AORole" name="aoRole" class="shortwidth">
-									            <option>Co-owner</option>
-									            <option>Custodian/Steward</option>
-									            <option>Metadata Provider</option>
-									      <option>User</option>
-									        </select>
-									        </td>
-									    </tr>
-									  
-									   <tr id="addAssociatedParty" class="sectbody"> 
-									            <td></td>
-									            <td colspan="5"> <input type="button" value="Add Associated Party" id="addaobutton1"
-									                    onClick="addAssociatedParty()"></td></tr>
-									       
-									    [% numAO = 0 %]
-									    [% IF aoCount %]
-									        [% numAO = aoCount %]
-									        <tr class="sectbody" id="aoHRRow">
-									            <td colSpan="6">
-									                <hr width = "85%"/>
-									            </td>
-									        </tr>
-									    [% END %]
-									    [% cnt = 1 %]
-									    [% WHILE cnt < numAO%]
-									            
-									        <tr class="sectbody">
-									            [% SET aofn = "origNamefirst${cnt}" %]
-									            [% SET aoln = "origNamelast${cnt}" %]
-									            [% SET aorole = "origRole${cnt}" %]
-									     
-									            <td class="rightCol">
-									                <a style="cursor:pointer">
-									                    <img onClick="cleanTextNodes('aoHRRow', 'addaorow');moveUpRow(event)"
-									                    src="[% contextUrl %]/style/images/previous.gif"
-									                    alt="Move Up" border="0"/>
-									                </a>
-									                <a style="cursor:pointer">
-									                    <img onClick="cleanTextNodes('aoHRRow', 'addaorow');moveDownRow(event, 'addaorow')"
-									                    src="[% contextUrl %]/style/images/next.gif"
-									                    alt="Move Down" border="0"/>
-									                </a>
-									                <a style="cursor:pointer">
-									                    <img src="[% contextUrl %]/style/images/delete.gif"
-									                    onClick="delRow(event)" alt="Delete" border="0"/>
-									                </a>
-									            </td>
-									            <td colspan="5" align ="left" style="cursor:pointer"
-									                onClick="aoEditRow(event, 0, '[%$aofn%]', '[%$aoln%]' , '[%$aorole%]')">
-									                [%$aofn%] [%$aoln%] (Role: [%$aorole%])
-									                <input name="aoFirstName" type="hidden" value="[%$aofn%]"/>
-									                <input name="aoLastName" type="hidden" value="[%$aoln%]"/>
-									                <input name="aoRole" type="hidden" value="[%$aorole%]"/>
-									            </td>
-									        </tr>
-									        [% cnt = cnt + 1 %]
-									    [% END %]
-									    <input type="hidden" name="aoCount" value="[%numAO%]" id="aoCount">
-									    <tr class="sectbody" id="addaorow"><td colspan=6 /></tr>
-									    </table>
+							
+								<div class="control-group">
+									<label class="control-label" for="aoFirstName">First Name</label>
+									<div class="controls">
+										<input type="text" name="aoFirstName" id="AONameFirst"">
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="aoLastName">Last Name</label>
+									<div class="controls">
+										<input type="text" name="aoLastName" id="AONameLast"">
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="aoRole">Role</label>
+									<div class="controls">
+										<select id="AORole" name="aoRole">
+								            <option>Co-owner</option>
+								            <option>Custodian/Steward</option>
+								            <option>Metadata Provider</option>
+								      		<option>User</option>
+								        </select>
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="addaobutton1">More?</label>
+									<div class="controls">
+										<input type="button" value="Add Associated Party" id="addaobutton1" onClick="addAssociatedParty()">
+									</div>
+								</div>
+								    
+								<table>       
+								    [% numAO = 0 %]
+								    [% IF aoCount %]
+								        [% numAO = aoCount %]
+								        <tr class="sectbody" id="aoHRRow">
+								            <td colSpan="6">
+								                <hr width = "85%"/>
+								            </td>
+								        </tr>
+								    [% END %]
+								    [% cnt = 1 %]
+								    [% WHILE cnt < numAO%]
+								            
+								        <tr class="sectbody">
+								            [% SET aofn = "origNamefirst${cnt}" %]
+								            [% SET aoln = "origNamelast${cnt}" %]
+								            [% SET aorole = "origRole${cnt}" %]
+								     
+								            <td class="rightCol">
+								                <a style="cursor:pointer">
+								                    <img onClick="cleanTextNodes('aoHRRow', 'addaorow');moveUpRow(event)"
+								                    src="[% contextUrl %]/style/images/previous.gif"
+								                    alt="Move Up" border="0"/>
+								                </a>
+								                <a style="cursor:pointer">
+								                    <img onClick="cleanTextNodes('aoHRRow', 'addaorow');moveDownRow(event, 'addaorow')"
+								                    src="[% contextUrl %]/style/images/next.gif"
+								                    alt="Move Down" border="0"/>
+								                </a>
+								                <a style="cursor:pointer">
+								                    <img src="[% contextUrl %]/style/images/delete.gif"
+								                    onClick="delRow(event)" alt="Delete" border="0"/>
+								                </a>
+								            </td>
+								            <td colspan="5" align ="left" style="cursor:pointer"
+								                onClick="aoEditRow(event, 0, '[%$aofn%]', '[%$aoln%]' , '[%$aorole%]')">
+								                [%$aofn%] [%$aoln%] (Role: [%$aorole%])
+								                <input name="aoFirstName" type="hidden" value="[%$aofn%]"/>
+								                <input name="aoLastName" type="hidden" value="[%$aoln%]"/>
+								                <input name="aoRole" type="hidden" value="[%$aorole%]"/>
+								            </td>
+								        </tr>
+								        [% cnt = cnt + 1 %]
+								    [% END %]
+								    <input type="hidden" name="aoCount" value="[%numAO%]" id="aoCount">
+								    <tr class="sectbody" id="addaorow"><td colspan=6 /></tr>
+								</table>
 								
 						    </div>
 						</div>