Index: lib/style/common/templates/metacatui/entryForm.tmpl
===================================================================
--- lib/style/common/templates/metacatui/entryForm.tmpl	(revision 7902)
+++ lib/style/common/templates/metacatui/entryForm.tmpl	(revision 7903)
@@ -88,26 +88,6 @@
 						    </div>
 						</div>
 						
-						<!-- TEMPLATE -->
-						<div class="accordion-heading">
-							<a class="accordion-toggle" data-toggle="collapse" data-target="#collapseTemplate" href="#none">
-								Template  
-							</a>
-							<a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#BasicInformation"><i class="icon-question-sign"></i></a>
-						</div>
-						<div id="collapseTemplate" class="accordion-body collapse in">
-							<div class="accordion-inner">
-								<!--  the INPUT -->
-								<div class="control-group">
-									<label class="control-label" for="template">*template</label>
-									<div class="controls">
-										<input type="text" name="template" value="[%template%]">
-									</div>
-								</div>
-								
-						    </div>
-						</div>
-						
 						<!-- BASIC -->
 						<div class="accordion-heading">
 							<a class="accordion-toggle" data-toggle="collapse" data-target="#collapseBasic" href="#none">
@@ -442,107 +422,128 @@
 								
 						    </div>
 						</div>
+						
+						<!-- TEMPLATE -->
+						<div class="accordion-heading">
+							<a class="accordion-toggle" data-toggle="collapse" data-target="#collapseTemplate" href="#none">
+								Template  
+							</a>
+							<a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#BasicInformation"><i class="icon-question-sign"></i></a>
+						</div>
+						<div id="collapseTemplate" class="accordion-body collapse in">
+							<div class="accordion-inner">
+								<!--  the INPUT -->
+								<div class="control-group">
+									<label class="control-label" for="template">*template</label>
+									<div class="controls">
+										<input type="text" name="template" value="[%template%]">
+									</div>
+								</div>
+								
+						    </div>
+						</div>
+						
+					[% IF modules.keyword == 'true' %]
+						<!-- KEYWORDS -->
+						<div class="accordion-heading">
+							<a class="accordion-toggle" data-toggle="collapse" data-target="#collapseKeywords" href="#none">
+								Keywords  
+							</a>
+							<a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#KeywordInformation"><i class="icon-question-sign"></i></a>
+						</div>
+						<div id="collapseKeywords" class="accordion-body collapse in">
+							<div class="accordion-inner">
+								<!--  the INPUT -->
+								<div class="control-group">
+									<label class="control-label" for="keyword">Keyword</label>
+									<div class="controls">
+										<input type="text" name="keyword" id="keyword" value="[%keyword%]">
+										<span class="help-block">For samples, see <a href=
+											"http://gcmd.nasa.gov/Resources/valids/gcmd_parameters.html" target="nasa">NASA Global Change Master Directory (GCMD)</a>.
+										</span>
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="keywordType">Keyword Type</label>
+									<div class="controls">
+										<select name="keywordType" id="keywordType" class="shortwidth">
+											<option>None</option>
+								            <option>Theme</option>
+								            <option>Place</option>
+								            <option>Stratum</option>
+								            <option>Temporal</option>
+								            <option>Taxonomic</option>
+										</select>
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="keywordTh">Keyword Thesaurus</label>
+									<div class="controls">
+										<input type="text" name="keywordTh" id="keywordTh" value="[%keywordTh%]">
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="addKeyword">More?</label>
+									<div class="controls">
+										<input type="button" value="Add Keyword" onClick="addKeyword()">
+									</div>
+								</div>
+								
+								<!-- the orginal table -->
+								<table>
+								 [% numKey = 0 %]
+								 [% IF keyCount %]
+								   [% numKey = keyCount %]
+								        [% numAO = aoCount %]
+								        <tr class="sectbody" id="keywordHRRow">
+								            <td colSpan="6">
+								                <hr width = "85%"/>
+								            </td>
+								        </tr>
+								 [% END %]
+								 <input type="hidden" name="keyCount" value="[%numKey%]" 
+								            id="keyCount">
+								   
+								      [% cnt = 1 %]
+								        [% WHILE cnt < numKey %]
+								        
+								           <tr class="sectbody">
+								            <td class="rightCol">
+								                <a style="cursor:pointer">
+								                    <img onClick="cleanTextNodes('keywordHRRow', 'addkeyrow');moveUpRow(event)"
+								                    src="[% contextUrl %]/style/images/previous.gif"
+								                    alt="Move Up" border="0"/>
+								                </a>
+								                <a style="cursor:pointer">
+								                    <img onClick="cleanTextNodes('keywordHRRow', 'addkeyrow');moveDownRow(event, 'addkeyrow')"
+								                    src="[% contextUrl %]/style/images/next.gif"
+								                    alt="Move Down" border="0"/>
+								                </a>
+								                <a style="cursor:pointer">
+								                    <img src="[% contextUrl %]/style/images/delete.gif"
+								                    onClick="delRow(event)" alt="Delete" border="0"/>
+								                </a>
+								            </td>
+								            [% SET keyword = "keyword${cnt}" %]
+								            [% SET keywordType = "kwType${cnt}" %]
+								            [% SET keywordTh = "kwTh${cnt}" %]
+								            <td colspan="5" align ="left" style="cursor:pointer"
+								                onClick="keywordEditRow(event, 0, '[%$keyword%]', '[%$keywordType%]' , '[%$keywordTh%]')">
+								                [%$keyword%] (Type: [%$keywordType%], Thesaurus: [%$keywordTh%])
+								                <input name="keyword" type="hidden" value="[%$keyword%]"/>
+								                <input name="keywordType" type="hidden" value="[%$keywordType%]"/>
+								                <input name="keywordTh" type="hidden" value="[%$keywordTh%]"/>
+								            </td>
+								        </tr>
+								        [% cnt = cnt + 1 %]
+								       [% END %]
+								        <tr class="sectbody" id="addkeyrow"><td colspan=6 /></tr>
+								       </table>
+								
+						    </div>
+						</div>
+					[% END %]	
 
-
-  [% IF modules.keyword == 'true' %]
-    <table class="tables" cellpadding="5" cellspacing="0">
-      <tr class="sectheader">
-        <td colspan="5" align="left">
-          <span class="label">KEYWORD INFORMATION</span>
-          <a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#KeywordInformation" target="guide" class="smalltext">(What's this?)</a>
-        </td>
-        <td class="rightCol"><span><a onClick="keywordBit=swap(event, 'keywordTable', keywordBit)" style="cursor:pointer">Hide</a></span></td>
-        </tr>
-    </table>
-   
-    <table class="tables" cellpadding="5" cellspacing="0" id="keywordTable">     
-     <tr class="sectbody"><td><td colspan="5" align="left"><span class="regtext">For samples, see <a href=
-"http://gcmd.nasa.gov/Resources/valids/gcmd_parameters.html" target="nasa"><span class=
-"boldlink">NASA Global Change Master Directory (GCMD)</a>.</span>
-     
-      <tr class="sectbody">
-        <td class="rightCol"><span class="label">Keyword</span></td>
-      <td colspan="5">
-            <input name="keyword" id="keyword" class="shortwidth"></td></tr>
-
-
-     <tr class="sectbody"><td class="rightCol"><span class="label">Keyword Type</span></td>
-     <td colspan="5">
-            <select name="keywordType" id="keywordType" class="shortwidth">
-      <option>None</option>
-            <option>Theme</option>
-            <option>Place</option>
-            <option>Stratum</option>
-            <option>Temporal</option>
-            <option>Taxonomic</option>
-            </select>
-        </td></tr>
-      
-        <tr id="keyThRow" class="sectbody"><td class="rightCol"><span class="label">Keyword Thesaurus</span></td>
-          <td colspan="5">
-            
-            <select name="keywordTh" id="keywordTh" class="shortwidth">
-          <option>None</option>
-             <option>GCMD</option>
-            </select>
-      
-      </td></tr>
-            
-    <tr id="addKeyword" class="sectbody">
-          <td></td>
-          <td colspan="5" align="left">
-                   <input type="button" value="Add Keyword" onClick="addKeyword()"></td></tr>
-        
-        
- [% numKey = 0 %]
- [% IF keyCount %]
-   [% numKey = keyCount %]
-        [% numAO = aoCount %]
-        <tr class="sectbody" id="keywordHRRow">
-            <td colSpan="6">
-                <hr width = "85%"/>
-            </td>
-        </tr>
- [% END %]
- <input type="hidden" name="keyCount" value="[%numKey%]" 
-            id="keyCount">
-   
-      [% cnt = 1 %]
-        [% WHILE cnt < numKey %]
-        
-           <tr class="sectbody">
-            <td class="rightCol">
-                <a style="cursor:pointer">
-                    <img onClick="cleanTextNodes('keywordHRRow', 'addkeyrow');moveUpRow(event)"
-                    src="[% contextUrl %]/style/images/previous.gif"
-                    alt="Move Up" border="0"/>
-                </a>
-                <a style="cursor:pointer">
-                    <img onClick="cleanTextNodes('keywordHRRow', 'addkeyrow');moveDownRow(event, 'addkeyrow')"
-                    src="[% contextUrl %]/style/images/next.gif"
-                    alt="Move Down" border="0"/>
-                </a>
-                <a style="cursor:pointer">
-                    <img src="[% contextUrl %]/style/images/delete.gif"
-                    onClick="delRow(event)" alt="Delete" border="0"/>
-                </a>
-            </td>
-            [% SET keyword = "keyword${cnt}" %]
-            [% SET keywordType = "kwType${cnt}" %]
-            [% SET keywordTh = "kwTh${cnt}" %]
-            <td colspan="5" align ="left" style="cursor:pointer"
-                onClick="keywordEditRow(event, 0, '[%$keyword%]', '[%$keywordType%]' , '[%$keywordTh%]')">
-                [%$keyword%] (Type: [%$keywordType%], Thesaurus: [%$keywordTh%])
-                <input name="keyword" type="hidden" value="[%$keyword%]"/>
-                <input name="keywordType" type="hidden" value="[%$keywordType%]"/>
-                <input name="keywordTh" type="hidden" value="[%$keywordTh%]"/>
-            </td>
-        </tr>
-        [% cnt = cnt + 1 %]
-       [% END %]
-        <tr class="sectbody" id="addkeyrow"><td colspan=6 /></tr>
-       </table>
-  [% END %]
   
   [% IF modules.temporal == 'true' %]
    