Index: lib/style/common/templates/metacatui/entryForm.tmpl
===================================================================
--- lib/style/common/templates/metacatui/entryForm.tmpl	(revision 7911)
+++ lib/style/common/templates/metacatui/entryForm.tmpl	(revision 7912)
@@ -703,9 +703,9 @@
 									
 									<table>
 									    <tr class="sectbody">
-									      <td width="190"></td><td width="100" align="left"><span class="label">Degrees</span></td>
-									      <td width="110" align="left"><span class="label">Minutes</span></td>
-									      <td width="70" align="left"><span class="label">Seconds</span></td>
+									      <td width="190"></td><td width="100" align="left"><span class="text-info">Degrees</span></td>
+									      <td width="110" align="left"><span class="text-info">Minutes</span></td>
+									      <td width="70" align="left"><span class="text-info">Seconds</span></td>
 									      <td width="200"></td><td width="90"</td>
 									   </tr>
 									      
@@ -712,9 +712,9 @@
 									   <tr class="sectbody">
 									     <td class="rightCol">
 									      [% IF required.spatial == 'true' %]
-									        <span class="label">*Latitude</span>
+									        <span class="text-info">*Latitude</span>
 									      [% ELSE %]
-									        <span class="label">Latitude</span>
+									        <span class="text-info">Latitude</span>
 									      [% END %]</td> 
 									     <td> 
 									          <input type="TEXT" name="latDeg1" value="[%latDeg1%]" size="3" maxlength="3"></td>
@@ -723,14 +723,14 @@
 									      
 									      <td Align="left" colspan="2"> 
 									      [% IF form == 're_entry' && hemisphLat1 == "N"%]
-									        <input type="radio"  name="hemisphLat1" value="N" CHECKED><span class="regtext">North&nbsp;&nbsp;</span>
+									        <input type="radio"  name="hemisphLat1" value="N" CHECKED><span class="regtext">North</span>
 									      [%ELSE%]
-									        <input type="radio"  name="hemisphLat1" value="N"><span class="regtext">North&nbsp;&nbsp;</span>
+									        <input type="radio"  name="hemisphLat1" value="N"><span class="regtext">North</span>
 									      [%END%]
 									      [% IF form == 're_entry' && hemisphLat1 == "S"%]
-									        <input type="radio"  name="hemisphLat1" value="S" CHECKED><span class="regtext">South&nbsp;&nbsp;</span>
+									        <input type="radio"  name="hemisphLat1" value="S" CHECKED><span class="regtext">South</span>
 									      [%ELSE%]
-									        <input type="radio"  name="hemisphLat1" value="S"><span class="regtext">South&nbsp;&nbsp;</span>
+									        <input type="radio"  name="hemisphLat1" value="S"><span class="regtext">Sout</span>
 									      [%END%]
 									      </td>
 									    </tr>
@@ -738,9 +738,9 @@
 									    <tr class="sectbody">
 									      <td class="rightCol"> 
 									      [% IF required.spatial == 'true' %]
-									        <span class="label">*Longitude</span>
+									        <span class="text-info">*Longitude</span>
 									      [% ELSE %]
-									        <span class="label">Longitude</span>
+									        <span class="text-info">Longitude</span>
 									      [% END %]</td>
 									     
 									      <td> <input type="TEXT" name="longDeg1" value="[%longDeg1%]" size="3" maxlength="3"></td>
@@ -750,14 +750,14 @@
 									      
 									      <td align="left" colspan="2"> 
 									    [% IF form == 're_entry' && hemisphLong1 == "W"%]        
-									      <input type="radio"  name="hemisphLong1" value="W" CHECKED><span class="regtext">West&nbsp;&nbsp;</span>
+									      <input type="radio"  name="hemisphLong1" value="W" CHECKED><span class="regtext">West</span>
 									    [%ELSE%]
-									      <input type="radio"  name="hemisphLong1" value="W"><span class="regtext">West&nbsp;&nbsp;</span>
+									      <input type="radio"  name="hemisphLong1" value="W"><span class="regtext">West</span>
 									    [%END%]
 									    [% IF form == 're_entry' && hemisphLong1 == "E"%]
-									      <input type="radio"  name="hemisphLong1" value="E" CHECKED><span class="regtext">East&nbsp;&nbsp;</span>
+									      <input type="radio"  name="hemisphLong1" value="E" CHECKED><span class="regtext">East</span>
 									    [%ELSE%]
-									      <input type="radio"  name="hemisphLong1" value="E"><span class="regtext">East&nbsp;&nbsp;</span>
+									      <input type="radio"  name="hemisphLong1" value="E"><span class="regtext">East</span>
 									    [%END%]
 									      </td>
 									    </tr>
@@ -767,7 +767,7 @@
 									      </td><td></td></tr>
 									      
 									    <tr class="sectbody"> 
-									      <td class="rightCol"><span class="label">Latitude</span></td>
+									      <td class="rightCol"><span class="text-info">Latitude</span></td>
 									  <td ><input type="TEXT" name="latDeg2" value="[%latDeg2%]" size="3" maxlength="3"></td>
 									      <td><input type="TEXT" name="latMin2" value="[%latMin2%]" size="2" maxlength="2"></td>
 									      <td><input type="TEXT" name="latSec2" value="[%latSec2%]" size="2" maxlength="2"></td>
@@ -786,7 +786,7 @@
 									      </td>
 									    </tr>
 									    
-									    <tr class="sectbody"><td class="rightCol"><span class="label">Longitude</span></td>
+									    <tr class="sectbody"><td class="rightCol"><span class="text-info">Longitude</span></td>
 									       <td> <input type="TEXT" name="longDeg2" value="[%longDeg2%]" size="3" maxlength="3"></td>
 									       <td> <input type="TEXT" name="longMin2" value="[%longMin2%]" size="2" maxlength="2"></td>
 									       <td> <input type="TEXT" name="longSec2" value="[%longSec2%]" size="2" maxlength="2"></td>
@@ -793,14 +793,14 @@
 									       <td align="left" colspan="2">
 									       
 									      [% IF form == 're_entry' && hemisphLong2 == "W"%]
-									        <input type="radio"  name="hemisphLong2" value="W" CHECKED><span class="regtext">West&nbsp;&nbsp;</span>
+									        <input type="radio"  name="hemisphLong2" value="W" CHECKED><span class="regtext">West</span>
 									      [%ELSE%]
-									        <input type="radio"  name="hemisphLong2" value="W"><span class="regtext">West&nbsp;&nbsp;</span>
+									        <input type="radio"  name="hemisphLong2" value="W"><span class="regtext">West</span>
 									      [%END%]
 									      [% IF form == 're_entry' && hemisphLong2 == "E"%]
-									        <input type="radio"  name="hemisphLong2" value="E" CHECKED><span class="regtext">East&nbsp;&nbsp;</span>
+									        <input type="radio"  name="hemisphLong2" value="E" CHECKED><span class="regtext">East</span>
 									      [%ELSE%]
-									        <input type="radio"  name="hemisphLong2" value="E"><span class="regtext">East&nbsp;&nbsp;</span>
+									        <input type="radio"  name="hemisphLong2" value="E"><span class="regtext">East</span>
 									      [%END%]
 									      </td>
 									    </tr>
@@ -811,11 +811,8 @@
 									    </tr>
 									</table>
 								
-								</div>	
+								</div>									
 								
-								
-								
-								
 						    </div>
 						</div>						
 						