Index: lib/style/common/templates/metacatui/entryForm.tmpl
===================================================================
--- lib/style/common/templates/metacatui/entryForm.tmpl	(revision 7920)
+++ lib/style/common/templates/metacatui/entryForm.tmpl	(revision 7921)
@@ -31,7 +31,7 @@
 						<p>
 							The ID of this data set is: <a href="[% metacatUrl %]?action=read&qformat=[% cfg %]&docid=[% docid %]">[% docid %]</a>
 						</p>	
-\					[%END%]
+					[%END%]
 				
 				[% END %]
 				
@@ -170,37 +170,37 @@
 								<div class="control-group">
 									<label class="control-label" for="origNamefirst0">*First Name</label>
 									<div class="controls">
-										<input type="text" name="origNamefirst0" value="[%origNamefirst0%]">
+										<input type="text" name="origNamefirst0" id="origNameFirst" value="[%origNamefirst0%]">
 									</div>
 								</div>
 								<div class="control-group">
 									<label class="control-label" for="origNamelast0">*Last Name</label>
 									<div class="controls">
-										<input type="text" name="origNamelast0" value="[%origNamelast0%]">
+										<input type="text" name="origNamelast0" id="origNameLast" value="[%origNamelast0%]">
 									</div>
 								</div>
 								<div class="control-group">
 									<label class="control-label" for="origNameOrg">Organization Name</label>
 									<div class="controls">
-										<input type="text" name="origNameOrg" value="[%origNameOrg%]">
+										<input type="text" name="origNameOrg" id="origNameOrg" value="[%origNameOrg%]">
 									</div>
 								</div>
 								<div class="control-group">
 									<label class="control-label" for="origEmail">Email</label>
 									<div class="controls">
-										<input type="text" name="origEmail" value="[%origEmail%]">
+										<input type="text" name="origEmail" id="origEmail" value="[%origEmail%]">
 									</div>
 								</div>
 								<div class="control-group">
 									<label class="control-label" for="origPhone">Phone</label>
 									<div class="controls">
-										<input type="text" name="origPhone" value="[%origPhone%]">
+										<input type="text" name="origPhone" id="origPhone" value="[%origPhone%]">
 									</div>
 								</div>
 								<div class="control-group">
 									<label class="control-label" for="origFAX">Fax</label>
 									<div class="controls">
-										<input type="text" name="origFAX" value="[%origFAX%]">
+										<input type="text" name="origFAX" id="origFAX" value="[%origFAX%]">
 									</div>
 								</div>
 								<div class="control-group">
@@ -213,7 +213,7 @@
 								<div class="control-group">
 									<label class="control-label" for="origCity">City</label>
 									<div class="controls">
-										<input type="text" name="origCity" value="[%origCity%]">
+										<input type="text" name="origCity" id="origCity" value="[%origCity%]">
 									</div>
 								</div>
 								<div class="control-group">
@@ -287,23 +287,22 @@
 								<div class="control-group">
 									<label class="control-label" for="origStateOther">Other State/Province</label>
 									<div class="controls">
-										<input type="text" name="origStateOther" value="[%origStateOther%]">
+										<input type="text" name="origStateOther" id="origStateOther" value="[%origStateOther%]">
 									</div>
 								</div>
 								<div class="control-group">
 									<label class="control-label" for="origZip">Postal Code</label>
 									<div class="controls">
-										<input type="text" name="origZip" value="[%origZip%]">
+										<input type="text" name="origZip" id="origZip" value="[%origZip%]">
 									</div>
 								</div>
 								<div class="control-group">
 									<label class="control-label" for="origCountry">Country</label>
 									<div class="controls">
-										<input type="text" name="origCountry" value="[%origCountry%]">
+										<input type="text" name="origCountry" id="origCountry" value="[%origCountry%]">
 									</div>
 								</div>
 								
-								
 						    </div>
 						</div>
 						
@@ -948,29 +947,7 @@
 						</div>
 						
 					[% END %]  
-   
-
-						<!-- TEMPLATE -->
-						<div class="accordion-heading">
-							<a class="accordion-toggle" data-toggle="collapse" data-target="#collapseTemplate" href="#none">
-								Template  
-							</a>
-							<a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#BasicInformation"><i class="icon-question-sign"></i></a>
-						</div>
-						<div id="collapseTemplate" class="accordion-body collapse in">
-							<div class="accordion-inner">
-								<!--  the INPUT -->
-								<div class="control-group">
-									<label class="control-label" for="template">*template</label>
-									<div class="controls">
-										<input type="text" name="template" value="[%template%]">
-									</div>
-								</div>
-								
-						    </div>
-						</div>
 						
-						
 					[% IF modules.method == 'true' %]
   
 						<!-- METHODS -->
@@ -1036,125 +1013,189 @@
 						</div>
 						
 					[% END %]
+					
 						
+						<!-- DATA SET CONTACT -->
+						<div class="accordion-heading">
+							<a class="accordion-toggle" data-toggle="collapse" data-target="#collapseContact" href="#none">
+								Data Set Contact  
+							</a>
+							<a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#DataSetContactAddress"><i class="icon-question-sign"></i></a>
+						</div>
+						<div id="collapseContact" class="accordion-body collapse in">
+							<div class="accordion-inner">
+								<!--  the INPUT -->
+        						<div class="control-group">
+									<label class="control-label" for="useOrigAddress"></label>
+									<div class="controls">
+										<input type="CHECKBOX" name="useOrigAddress" onClick="copyContact()" id="copyCheckBox" [%useOrigAddress%]>
+        								<span class="help-block">Use the same name and address as the <em>PRINCIPAL DATA SET OWNER</em> above.</span>
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="origNamefirstContact">*First Name</label>
+									<div class="controls">
+										<input type="text" name="origNamefirstContact" id="contactNameFirst" value="[%origNamefirstContact%]">
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="origNamelastContact">*Last Name</label>
+									<div class="controls">
+										<input type="text" name="origNamelastContact" id="contactNameLast" value="[%origNamelastContact%]">
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="origNameOrgContact">Organization Name</label>
+									<div class="controls">
+										<input type="text" name="origNameOrgContact" id="contactNameOrg" value="[%origNameOrgContact%]">
+									</div>
+								</div>
+								<div class="control-group">
+									[% IF required.contactEmailAddress == 'true' %]
+										<label class="control-label" for="origEmailContact">*Email</label>
+									[% ELSE %]
+										<label class="control-label" for="origEmailContact">Email</label>
+									[% END %]
+									<div class="controls">
+										<input type="text" name="origEmailContact" id="contactEmail" value="[%origEmailContact%]">
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="origPhoneContact">Phone</label>
+									<div class="controls">
+										<input type="text" name="origPhoneContact" id="contactPhone" value="[%origPhoneContact%]">
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="origFAXContact">Fax</label>
+									<div class="controls">
+										<input type="text" name="origFAXContact" id="contactFAX" value="[%origFAXContact%]">
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="origDeliveryContact">Street Address</label>
+									<div class="controls">
+										<textarea id="contactDelivery" name="origDeliveryContact">[%origDeliveryContact%]</textarea>
+										<span class="help-block">(number, street, unit, etc.; comma-separated)</span>
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="origCityContact">City</label>
+									<div class="controls">
+										<input type="text" name="origCityContact" id="origCity" value="[%origCityContact%]">
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="origStateContact">U.S. State or Territory</label>
+									<div class="controls">
+										<select name="origStateContact" id="contactState">
+											[% IF form == 're_entry' %]
+												<option selected>[%origStateContact%]</option>
+											[% ELSE %]
+												<option>Select state or territory here.</option>
+											[% END %]
+											<option>Alabama</option>
+											<option>Alaska</option>
+											<option>American Samoa</option>
+											<option>Arizona</option>
+											<option>Arkansas</option>
+											<option>California</option>
+											<option>Colorado</option>
+											<option>Connecticut</option>
+											<option>Delaware</option>
+											<option>District of Columbia</option>
+											<option>Florida</option>
+											<option>Georgia</option>
+											<option>Guam</option>
+											<option>Hawaii</option>
+											<option>Idaho</option>
+											<option>Illinois</option>
+											<option>Indiana</option>
+											<option>Iowa</option>
+											<option>Kansas</option>
+											<option>Kentucky</option>
+											<option>Louisiana</option>
+											<option>Maine</option>
+											<option>Maryland</option>
+											<option>Massachusetts</option>
+											<option>Michigan</option>
+											<option>Minnesota</option>
+											<option>Mississippi</option>
+											<option>Missouri</option>
+											<option>Montana</option>
+											<option>Nebraska</option>
+											<option>Nevada</option>
+											<option>New Hampshire</option>
+											<option>New Jersey</option>
+											<option>New Mexico</option>
+											<option>New York</option>
+											<option>North Carolina</option>
+											<option>North Dakota</option>
+											<option>Northern Mariana Islands</option>
+											<option>Ohio</option>
+											<option>Oklahoma</option>
+											<option>Oregon</option>
+											<option>Pennsylvania</option>
+											<option>Puerto Rico</option>
+											<option>Rhode Island</option>
+											<option>South Carolina</option>
+											<option>South Dakota</option>
+											<option>Tennessee</option>
+											<option>Texas</option>
+											<option>Utah</option>
+											<option>Vermont</option>
+											<option>Virgin Islands</option>
+											<option>Virginia</option>
+											<option>Washington</option>
+											<option>West Virginia</option>
+											<option>Wisconsin</option>
+											<option>Wyoming</option>
+										</select>
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="origStateOtherContact">Other State/Province</label>
+									<div class="controls">
+										<input type="text" name="origStateOtherContact" id="contactStateOther" value="[%origStateOtherContact%]">
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="origZIPContact">Postal Code</label>
+									<div class="controls">
+										<input type="text" name="origZIPContact" id="contactZip" value="[%origZIPContact%]">
+									</div>
+								</div>
+								<div class="control-group">
+									<label class="control-label" for="origCountryContact">Country</label>
+									<div class="controls">
+										<input type="text" name="origCountryContact" id="contactCountry" value="[%origCountryContact%]">
+									</div>
+								</div>
+								
+						    </div>
+						</div>
+						
+						<!-- TEMPLATE -->
+						<div class="accordion-heading">
+							<a class="accordion-toggle" data-toggle="collapse" data-target="#collapseTemplate" href="#none">
+								Template  
+							</a>
+							<a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#BasicInformation"><i class="icon-question-sign"></i></a>
+						</div>
+						<div id="collapseTemplate" class="accordion-body collapse in">
+							<div class="accordion-inner">
+								<!--  the INPUT -->
+								<div class="control-group">
+									<label class="control-label" for="template">*template</label>
+									<div class="controls">
+										<input type="text" name="template" value="[%template%]">
+									</div>
+								</div>
+								
+						    </div>
+						</div>
+						
    
-  <table class="tables" cellpadding="5" cellspacing="0">    
-    <tr class="sectheader">
-      <td colspan="5" align="left">
-        <span class="label">DATA SET CONTACT</span>
-        <a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#DataSetContactAddress" target="guide" class="smalltext">(What's this?)</a>
-      </td>
-      <td class="rightCol"><span><a onClick="dscBit=swap(event, 'dscTable', dscBit)" style="cursor:pointer">Hide</a></span></td>
-    </tr>
-  </table>
-
-   <table class="tables" cellpadding="5" cellspacing="0" id="dscTable">  
-  <tr class="sectbody"><td valign="top" align="left" colspan="6">
-        <input type="CHECKBOX" name="useOrigAddress" onClick="copyContact()" id="copyCheckBox" [%useOrigAddress%]>
-        <span class="regtext">Use the same name and address as the <span class="label">PRINCIPAL DATA SET OWNER</span> above.</span></td></tr> 
-   <tr class="sectbody">
-      <td class="rightCol"><span class="label">*First Name</span></td>
-      <td colspan="5"><input type="TEXT" name="origNamefirstContact" id="contactNameFirst" value="[%origNamefirstContact%]" class="shortwidth"></td></tr>
-    <tr class="sectbody">
-      <td class="rightCol"><span class="label">*Last Name</span>
-      <td colspan="5"><input type="TEXT" name="origNamelastContact" id="contactNameLast" value="[%origNamelastContact%]" class="shortwidth"></td></tr>
-    <tr class="sectbody">
-      <td class="rightCol"><span class="label">Organization Name</span>
-      <td colspan="5"><input type="TEXT" name="origNameOrgContact" id="contactNameOrg" value="[%origNameOrgContact%]" class="longwidth"></td></tr>
-    <tr class="sectbody">      
-      [% IF required.contactEmailAddress == 'true' %]
-        <td class="rightCol"><span class="label">*E-Mail</span>
-      [% ELSE %]
-        <td class="rightCol"><span class="label">E-Mail</span>
-      [% END %]
-      <td colspan="5"><input type="TEXT" name="origEmailContact" id="contactEmail" value="[%origEmailContact%]" class="shortwidth"></td></tr>
-    <tr class="sectbody">
-      <td class="rightCol"><span class="label">Phone</span>
-      <td colspan="5"><input type="TEXT" name="origPhoneContact" id="contactPhone" value="[%origPhoneContact%]" class="shortwidth"></td></tr>
-    <tr class="sectbody"> 
-      <td class="rightCol"><span class="label">FAX</span>
-      <td colspan="5"><input type="TEXT" name="origFAXContact" id="contactFAX" value="[%origFAXContact%]" class="shortwidth"></td></tr>
-    <tr class="sectbody"><td valign="top" align="right"><span class="label">Street<br>Information</td>
-      <td colspan="5"><textarea rows="3" cols="30" name="origDeliveryContact" id="contactDelivery">[%origDeliveryContact%]</textarea><br><span class="smalltext">(number, street, unit, etc.; comma-separated)</span></td></tr>
-    <tr class="sectbody">    
-      <td class="rightCol"><span class="label">City</span>
-      <td colspan="5"><input type="TEXT" name="origCityContact" id="contactCity" value="[%origCityContact%]" class="shortwidth"></td></tr>
-    <tr class="sectbody">
-      <td class="rightCol"><span class="label">U.S. State or Territory</span>
-      <td colspan="5"><select id="contactState" name="origStateContact" class="shortwidth">
-      [% IF form == 're_entry' %]  
-              <option>[%origStateContact%]</option>
-      [% ELSE %]
-                <option>Select state or territory here.</option>
-            [% END %]
-          <option>Alabama</option>
-            <option>Alaska</option>
-            <option>American Samoa</option>
-            <option>Arizona</option>
-            <option>Arkansas</option>
-            <option>California</option>
-            <option>Colorado</option>
-            <option>Connecticut</option>
-            <option>Delaware</option>
-            <option>District of Columbia</option>
-            <option>Florida</option>
-            <option>Georgia</option>
-            <option>Guam</option>
-            <option>Hawaii</option>
-            <option>Idaho</option>
-            <option>Illinois</option>
-            <option>Indiana</option>
-            <option>Iowa</option>
-            <option>Kansas</option>
-            <option>Kentucky</option>
-            <option>Louisiana</option>
-            <option>Maine</option>
-            <option>Maryland</option>
-            <option>Massachusetts</option>
-            <option>Michigan</option>
-            <option>Minnesota</option>
-            <option>Mississippi</option>
-            <option>Missouri</option>
-            <option>Montana</option>
-            <option>Nebraska</option>
-            <option>Nevada</option>
-            <option>New Hampshire</option>
-            <option>New Jersey</option>
-            <option>New Mexico</option>
-            <option>New York</option>
-            <option>North Carolina</option>
-            <option>North Dakota</option>
-            <option>Northern Mariana Islands</option>
-            <option>Ohio</option>
-            <option>Oklahoma</option>
-            <option>Oregon</option>
-            <option>Pennsylvania</option>
-            <option>Puerto Rico</option>
-            <option>Rhode Island</option>
-            <option>South Carolina</option>
-            <option>South Dakota</option>
-            <option>Tennessee</option>
-            <option>Texas</option>
-            <option>Utah</option>
-            <option>Vermont</option>
-            <option>Virgin Islands</option>
-            <option>Virginia</option>
-            <option>Washington</option>
-            <option>West Virginia</option>
-            <option>Wisconsin</option>
-            <option>Wyoming</option>
-          </select></td></tr>
-     <tr class="sectbody">
-        <td class="rightCol"><span class="label">Other State/Province</span>
-  <td colspan="5"><input type="TEXT" name="origStateOtherContact" id="contactStateOther" value="[%origStateOtherContact%]" class="shortwidth"></td></tr>
-     <tr class="sectbody">     
-        <td class="rightCol"><span class="label">Postal Code</span>
-  <td colspan="5"><input type="TEXT" name="origZIPContact" class="shortwidth" id="contactZip" value="[%origZIPContact%]"></td></tr>
-     <tr class="sectbody">
-        <td class="rightCol"><span class="label">Country</span>
-        <td colspan="5"><input type="TEXT" name="origCountryContact" id="contactCountry" value="[%origCountryContact%]" class="shortwidth"></td></tr>
-     </table>
-   
   <table class="tables" cellpadding="5" cellspacing="0">  
     <tr class="sectheader">
       <td colspan="5" align="left">