Index: lib/style/common/templates/metacatui/entryForm.tmpl
===================================================================
--- lib/style/common/templates/metacatui/entryForm.tmpl	(revision 7926)
+++ lib/style/common/templates/metacatui/entryForm.tmpl	(revision 7927)
@@ -1292,111 +1292,100 @@
 						</div>
 						
 						
-						<!-- TEMPLATE -->
+					[% IF modules.upload == 'true' %]	
+						
+						<!-- DATA UPLOAD -->
 						<div class="accordion-heading">
-							<a class="accordion-toggle" data-toggle="collapse" data-target="#collapseTemplate" href="#none">
-								Template  
+							<a class="accordion-toggle" data-toggle="collapse" data-target="#collapseUploadData" href="#none">
+								Upload Data  
 							</a>
-							<a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#BasicInformation"><i class="icon-question-sign"></i></a>
+							<a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#XXX"><i class="icon-question-sign"></i></a>
 						</div>
-						<div id="collapseTemplate" class="accordion-body collapse in">
+						<div id="collapseUploadData" class="accordion-body collapse in">
 							<div class="accordion-inner">
 								<!--  the INPUT -->
 								<div class="control-group">
-									<label class="control-label" for="template">*template</label>
+									<label class="control-label" for="fileUpload"></label>
 									<div class="controls">
-										<input type="text" name="template" value="[%template%]">
+										<table class="tables" cellpadding="5" cellspacing="0" id="uploadTable">
+										  <tr class="sectbody">
+										    <td class="rightCol"><span class="label">Upload Data File:</span></td>
+										    <td colspan="5">
+										        <input type="file" id="file_element" name="file_1" class="longwidth">
+										
+										        [% IF form == 're_entry' && upCount %]
+										           [% cnt = 0 %]
+										           [% WHILE cnt < upCount %]
+										                [% SET fileSum = "upload_${cnt}" %]
+										                [% SET fileName = "uploadname_${cnt}" %]
+										                [% SET fileType = "uploadtype_${cnt}" %] 
+										                [% SET filePerm = "uploadperm_${cnt}" %]
+										                [% IF fileSum %]
+										                    <input type="hidden" name="[%fileSum%]" value="[% $fileSum %]"> 
+										                    <input type="hidden" name="[%fileName%]" value="[% $fileName %]"> 
+										                    <input type="hidden" name="[%fileType%]" value="[% $fileType %]"> 
+										                [% END %]
+										                [% cnt = cnt + 1 %]
+										            [% END %]
+										        <input type="hidden" id="upCount" name="upCount" value="[%upCount%]">
+										        [% END %]
+										
+										        <input type="hidden" id="fileCount" name="fileCount" value="[%fileCount%]"></td>
+										  </tr>
+										  <tr class="sectbody">
+										    <td class="rightCol" valign="top"><span class="label">Attached Files:</span></td>
+										    <td colspan="5" class="regtext">
+										    [% IF !upCount %]
+										        <div id="file_comment">
+										            (<i>None currently attached</i>)
+										        </div>
+										    [% END %]
+										    <div id="files_list">[% IF form == 're_entry' && upCount %]
+										    [% cnt = 0 %]
+										
+										    [% WHILE cnt < upCount %]
+										        [% SET fileName = "uploadname_${cnt}" %]
+										        [% SET filePerm = "uploadperm_${cnt}" %]
+										        [% IF $filePerm == 'public' %]
+										          [% SET perm_a = "checked" %]
+										          [% SET perm_b = "" %]
+										        [% ELSE %]
+										          [% SET perm_a = "" %]
+										          [% SET perm_b = "checked" %]
+										        [% END %]
+										        [% IF fileName %]<div>
+										          [% $fileName %]
+										          <input type="radio" name="[% filePerm %]" value="public" [% perm_a %]> Public
+										          <input type="radio" name="[% filePerm %]" value="private" [% perm_b %]> Private
+										
+										          <input type="button" value="Delete" onclick="deleteFile(event, [%fileName%]);"/></div>[% END %]
+										
+										        [% cnt = cnt + 1 %]
+										    [% END %]
+										    [% END %]</div></td>
+										  </tr>
+										  </table>
+										  
+										  <script language="JavaScript" type="text/JavaScript">
+										    var multi_selector = new MultiSelector( document.getElementById( 'files_list' ), 10);
+										    multi_selector.addElement( document.getElementById( 'file_element' ) );
+										  </script>
+										
+										
 									</div>
 								</div>
 								
 						    </div>
 						</div>
-   
-  [% IF modules.upload == 'true' %]
-
-  <!-- Associated Data -->
-  <table class="tables" cellpadding="5" cellspacing="0">
-  <tr class="sectheader">
-    <td colspan="5" align="left">
-      <span class="label">UPLOAD DATA</span>
-      <a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#XXX" target="guide" class="smalltext">(What's this?)</a>
-    </td>
-    <td class="rightCol"><span><a onClick="uploadBit=swap(event, 'uploadTable', uploadBit)" style="cursor:pointer">Hide</a></span></td>
-  </tr>
-   </table>
-  <table class="tables" cellpadding="5" cellspacing="0" id="uploadTable">
-  <tr class="sectbody">
-    <td class="rightCol"><span class="label">Upload Data File:</span></td>
-    <td colspan="5">
-        <input type="file" id="file_element" name="file_1" class="longwidth">
-
-        [% IF form == 're_entry' && upCount %]
-           [% cnt = 0 %]
-           [% WHILE cnt < upCount %]
-                [% SET fileSum = "upload_${cnt}" %]
-                [% SET fileName = "uploadname_${cnt}" %]
-                [% SET fileType = "uploadtype_${cnt}" %] 
-                [% SET filePerm = "uploadperm_${cnt}" %]
-                [% IF fileSum %]
-                    <input type="hidden" name="[%fileSum%]" value="[% $fileSum %]"> 
-                    <input type="hidden" name="[%fileName%]" value="[% $fileName %]"> 
-                    <input type="hidden" name="[%fileType%]" value="[% $fileType %]"> 
-                [% END %]
-                [% cnt = cnt + 1 %]
-            [% END %]
-        <input type="hidden" id="upCount" name="upCount" value="[%upCount%]">
-        [% END %]
-
-        <input type="hidden" id="fileCount" name="fileCount" value="[%fileCount%]"></td>
-  </tr>
-  <tr class="sectbody">
-    <td class="rightCol" valign="top"><span class="label">Attached Files:</span></td>
-    <td colspan="5" class="regtext">
-    [% IF !upCount %]
-        <div id="file_comment">
-            (<i>None currently attached</i>)
-        </div>
-    [% END %]
-    <div id="files_list">[% IF form == 're_entry' && upCount %]
-    [% cnt = 0 %]
-
-    [% WHILE cnt < upCount %]
-        [% SET fileName = "uploadname_${cnt}" %]
-        [% SET filePerm = "uploadperm_${cnt}" %]
-        [% IF $filePerm == 'public' %]
-          [% SET perm_a = "checked" %]
-          [% SET perm_b = "" %]
-        [% ELSE %]
-          [% SET perm_a = "" %]
-          [% SET perm_b = "checked" %]
-        [% END %]
-        [% IF fileName %]<div>
-          [% $fileName %]
-          <input type="radio" name="[% filePerm %]" value="public" [% perm_a %]> Public
-          <input type="radio" name="[% filePerm %]" value="private" [% perm_b %]> Private
-
-          <input type="button" value="Delete" onclick="deleteFile(event, [%fileName%]);"/></div>[% END %]
-
-        [% cnt = cnt + 1 %]
-    [% END %]
-    [% END %]</div></td>
-  </tr>
-  </table>
-  
-  <script language="JavaScript" type="text/JavaScript">
-    var multi_selector = new MultiSelector( document.getElementById( 'files_list' ), 10);
-    multi_selector.addElement( document.getElementById( 'file_element' ) );
-  </script>
-  [% END %]
-   <table class="tables" cellpadding="5" cellspacing="0">    
-   <tr class="sectheader"><td colspan="6" align="left"></td></tr>
-   <tr class="sectheader"><td colspan="6" align="center" class="borderbottom"><input type="SUBMIT" onClick="sortInputTags()" value="Submit Data Set Description" name="SUBMIT">
+						
+					[% END %]
+						  
               
-    </table>
-    <p></p>
-    
     					</div>
 					</div> <!-- end the accordinan -->
+					
+	<input type="SUBMIT" onClick="sortInputTags()" value="Submit Data Set Description" name="SUBMIT">
+						
    
 </form>
 			</div> <!-- end the row -->