Index: lib/style/common/templates/metacatui/genericGuide.tmpl
===================================================================
--- lib/style/common/templates/metacatui/genericGuide.tmpl	(revision 7932)
+++ lib/style/common/templates/metacatui/genericGuide.tmpl	(revision 7933)
@@ -24,13 +24,13 @@
 
 <tr class="sectheader"><td class="borderbottom" colspan="2" align="left"><a name="Submitter"></a>
 NAME OF SUBMITTER</td></tr> 
-<tr><td colspan="2" align="left"><span class="label">
+<tr><td colspan="2" align="left"><span class="text-info">
 *First name, *Last name:</span><span class="regtext"> 
 The first and last names of the person completing this form.</span></td></tr>
 
 <tr class="sectheader"><td class="topbottom" colspan="2" align="left"><a name="BasicInformation"></a>
 BASIC INFORMATION</td></tr> 
-<tr><td colspan="2" align="left"><span class="label">*Data Set Title:</span><span class="regtext"> A descriptive title
+<tr><td colspan="2" align="left"><span class="text-info">*Data Set Title:</span><span class="regtext"> A descriptive title
 of the data set. The title should provide enough information for
 someone casually scanning a list of data sets to know whether the data are
 relevant to them.  This implies that the data context should be indicated 
@@ -50,7 +50,7 @@
 <td align="left" valign="top"><span class="regtext">Mammals Data<br><br>Water Chemistry Data</td></tr>
 
 [% IF cfg == 'nceas' %]
-<tr><td colspan="2" align="left"><span class="label">*NCEAS Project(s):</span><span class="regtext"> Select one or more
+<tr><td colspan="2" align="left"><span class="text-info">*NCEAS Project(s):</span><span class="regtext"> Select one or more
 NCEAS activities from the list to indicate that the data set is
 affiliated with that working group or activity.  We use "affiliation" 
 in a rather permissive sense to mean, for example, that the data set was or has
@@ -63,7 +63,7 @@
 
 [% IF cfg == 'esa' || cfg == 'ltss' %]  
 
-<tr><td colspan="2" align="left"><span class="label">*Organization Name:</span>
+<tr><td colspan="2" align="left"><span class="text-info">*Organization Name:</span>
 <span class="regtext">The name of the organization with which the data set is
 affiliated. We use "affiliation" in a rather permissive sense to mean, for example, that the data set was or has
 been generated at the organization; that the owner of the data is affiliated
@@ -81,7 +81,7 @@
 
 [% IF cfg == 'obfs' || cfg == 'nrs' || cfg == 'specnet'%]
 
-<tr><td colspan="2" align="left"><span class="label">*[% config.site | ucfirst %] Name:</span>
+<tr><td colspan="2" align="left"><span class="text-info">*[% config.site | ucfirst %] Name:</span>
 <span class="regtext">Select a [% config.site %] from the drop-down list to indicate that the data set is
 affiliated with the [% config.site %]. We use "affiliation" in a rather
 permissive sense to mean, for example, that the data set was or has
@@ -112,47 +112,47 @@
 <tr><td colspan="2" align="left"><span class="regtext"><u>Note:</u><span class="regtext"> If there is more than one owner, information 
 about the co-owner(s) can be provided in the ASSOCIATED PARTIES section below.</span>
 
-<tr><td colspan="2" align="left"><span class="label">*First Name:</span>
+<tr><td colspan="2" align="left"><span class="text-info">*First Name:</span>
 <span class="regtext">The first name of the principal data set owner.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">*Last Name:</span>
+<tr><td colspan="2" align="left"><span class="text-info">*Last Name:</span>
 <span class="regtext">The last name (surname) of the principal data set owner.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">Organization Name:</span>
+<tr><td colspan="2" align="left"><span class="text-info">Organization Name:</span>
 <span class="regtext">The name of the organization from which the data set
 originated.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">E-Mail:</span>
+<tr><td colspan="2" align="left"><span class="text-info">E-Mail:</span>
 <span class="regtext">The e-mail address by which the principal data set owner can be contacted.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">Phone:</span>
+<tr><td colspan="2" align="left"><span class="text-info">Phone:</span>
 <span class="regtext">The phone number of the principal data set owner, including the area code (999-999-9999).</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">FAX:</span>
+<tr><td colspan="2" align="left"><span class="text-info">FAX:</span>
 <span class="regtext">The fax number of the principal data set owner, including sthe area code (999-999-9999).</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">Street Information:</span>
+<tr><td colspan="2" align="left"><span class="text-info">Street Information:</span>
 <span class="regtext">A comma-separated list of street number, street, unit,
 etc.<br> <u>Example:</u> 735 State Street, Suite 300</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">City:</span>
+<tr><td colspan="2" align="left"><span class="text-info">City:</span>
 <span class="regtext">The city
 name of the principal data set owner's address.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">U.S. State or Territory:</span>
+<tr><td colspan="2" align="left"><span class="text-info">U.S. State or Territory:</span>
 <span class="regtext">Select a U.S. state or territory from the drop-down menu for the principal data set owner's address. If the address is not in 
 the United States, used the "Other State/Province" field below. For a shortcut,
 press the first letter of the state on your keyboard (e.g.,  M-key to skip to Maine).</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">Other State/Province:</span>
+<tr><td colspan="2" align="left"><span class="text-info">Other State/Province:</span>
 <span class="regtext">A non-U.S. state or a province for 
 the principal data set owner's address.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">Postal Code:</span>
+<tr><td colspan="2" align="left"><span class="text-info">Postal Code:</span>
 <span class="regtext">The postal code or ZIP code
 for the principal data set owner's address.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">Country:</span>
+<tr><td colspan="2" align="left"><span class="text-info">Country:</span>
 <span class="regtext">The country
 for the principal data set owner's address.</span></td></tr>
 
@@ -191,10 +191,10 @@
 "http://gcmd.nasa.gov/Resources/valids/gcmd_parameters.html" target="nasa">NASA Global Change Master Directory
 (GCMD)</a> (particularly under EARTH SCIENCE > Biosphere) and see if you can find keywords that appropriately describe your data set.  If not, use your own keywords.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">1. Keyword: </span><span class="regtext"> Enter a
+<tr><td colspan="2" align="left"><span class="text-info">1. Keyword: </span><span class="regtext"> Enter a
 word or phrase that describes your data set.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">2. Keyword Type: </span>
+<tr><td colspan="2" align="left"><span class="text-info">2. Keyword Type: </span>
 <span class="regtext">Select the keyword type (a term used to group similar keywords). The different types are ("none" is the default):
 
    <ul>
@@ -204,7 +204,7 @@
       <li>Temporal: the keyword identifies a time period related to the data set.
       <li>Taxonomic: the keyword identifies a particular taxon.</li>
 </ul></span></td></tr>
-<tr><td colspan="2" align="left"><span class="label">3. Keyword Thesaurus: </span><span class="regtext">Select whether you used the NASA Global Change Master Directory
+<tr><td colspan="2" align="left"><span class="text-info">3. Keyword Thesaurus: </span><span class="regtext">Select whether you used the NASA Global Change Master Directory
 (GCMD) or not to choose your keywords.</span></td></tr> 
 
 
@@ -220,11 +220,11 @@
 <tr class="sectheader"><td class="topbottom" colspan="2" align="left">
 <a name="TemporalCoverageOfData"></a>TEMPORAL COVERAGE OF DATA</td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">*Start Date:</span><span class="regtext"> The first year, month, and
+<tr><td colspan="2" align="left"><span class="text-info">*Start Date:</span><span class="regtext"> The first year, month, and
 day of the collection/creation of the data set. A start date is required. Type in the year (yyyy), and choose the month and the day from the
 drop-down menus.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">Stop Date:</span><span class="regtext"> The last year, month, and
+<tr><td colspan="2" align="left"><span class="text-info">Stop Date:</span><span class="regtext"> The last year, month, and
 day for the collection/creation of the data set. Type in the year, and choose the month and the day from the drop-down menus.<br> 
 <u>Note:</u> Leave "Stop Date" blank if your data set is open-ended.</span></td></tr>
 
@@ -232,11 +232,11 @@
 <a name="SpatialCoverageOfData"></a>SPATIAL COVERAGE OF DATA</span></td></tr> 
 
 
-<tr><td colspan="2" align="left"><span class="label">*Geographic Description:</span><span class="regtext"> 
+<tr><td colspan="2" align="left"><span class="text-info">*Geographic Description:</span><span class="regtext"> 
 Enter a general description of the geographic area in which the data were collected. This can be a simple place name (e.g., Santa Barbara) or a fuller description.
 This field supplements the coordinates provided below and helps orient the data user about the general location of the study.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">*Coordinates:</span><span class="regtext"></span><span class="regtext"> The latitude and longitude
+<tr><td colspan="2" align="left"><span class="text-info">*Coordinates:</span><span class="regtext"></span><span class="regtext"> The latitude and longitude
 coordinates (in degrees, minutes and seconds) of the location where the data were collected. At least one lat/long pair is required. From the drop-down menus, select 
 the North (N) or South (S) orientation for the latitudes, and the West (W) or East (E) orientation for the longitudes.</span></td></tr>
 
@@ -264,9 +264,9 @@
 "http://www.itis.usda.gov/" target="itis">Integrated Taxonomic Information System</a> for correct spelling 
 of taxonomic names.</span></td></tr>
 <tr><td colspan="2" align="left"><span class="regtext">For each taxon, follow the three steps below:</span></td></tr>
-<tr><td colspan="2" align="left"><span class="label">1. Taxonomic Rank:</span><span class="regtext"> Enter the level in the taxonomic hierarchy 
+<tr><td colspan="2" align="left"><span class="text-info">1. Taxonomic Rank:</span><span class="regtext"> Enter the level in the taxonomic hierarchy 
 (Kingdom, Phylum, Class, Order, Family, Genus, or Species).</span></td></tr> 
-<tr><td colspan="2" align="left"><span class="label">2. Taxonomic Name:</span><span class="regtext"> Enter the scientific name for the level 
+<tr><td colspan="2" align="left"><span class="text-info">2. Taxonomic Name:</span><span class="regtext"> Enter the scientific name for the level 
 entered under Taxonomic Rank (e.g., <i>Animalia</i>, <i>Chordata</i>, <i>Mammalia</i>, <i>Carnivoria</i>, <i>Ursidae</i>, <i>Ursus</i>, or <i>Ursus arctos</i>).</span></td></tr>
 
 <tr><td colspan="2" align="left"><span class="regtext"><b>3.</b> Click on the <b>"Add Taxon"</b> button to add the taxonomic information.</span></td></tr>
@@ -275,7 +275,7 @@
 fields will disappear).  To delete an entry, click on the "X". If you have entered several taxa and want to change the order in which they appear, use the blue up and 
 down arrows.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">Taxonomic Reference:</span><span class="regtext"> The name
+<tr><td colspan="2" align="left"><span class="text-info">Taxonomic Reference:</span><span class="regtext"> The name
 or complete citation of the source(s) used for identifying and naming taxa (e.g., name of a field guide, key, or nomenclature revision). </span></td></tr>
 
 <tr class="sectheader"><td class="topbottom" colspan="2" align="left">
@@ -282,10 +282,10 @@
 <a name="Methods"></a>DATA COLLECTION METHODS</td></tr> 
 
 
-<tr><td colspan="2" align="left"><span class="label">Method Title:</span><span class="regtext"> A title for the method used to generate
+<tr><td colspan="2" align="left"><span class="text-info">Method Title:</span><span class="regtext"> A title for the method used to generate
 the data (e.g., Measure of zooplankton abundance using radial quadrat sub-sampling).</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">Method Description:</span><span class="regtext"> Description of the method used.  
+<tr><td colspan="2" align="left"><span class="text-info">Method Description:</span><span class="regtext"> Description of the method used.  
 This is intended to be a general method description that is suitable to help potential users of the data decide if the data are appropriate for their purposes.  
 You can add multiple paragraphs to the description by clicking on the "Add Paragraph to Method Description"
 button (paragraphs added by using the ENTER key in the Method Description field will not appear as paragraphs in the submitted form).
@@ -294,7 +294,7 @@
 <!--<tr><td colspan="2" align="left"><span class="regtext">Click on the "Describe Another Method" button
 to describe another method.</span></td></tr>-->
 
-<tr><td colspan="2" align="left"><span class="label">Extent of Study Description:</span><span class="regtext">
+<tr><td colspan="2" align="left"><span class="text-info">Extent of Study Description:</span><span class="regtext">
  Describe the temporal, spatial and taxonomic extent of the study, supplementing
 the information on coverage provided above. For example, if the temporal
 coverage of the data is 1990-2000, you might provide details about any years
@@ -302,7 +302,7 @@
 provide information in this field (Extent of Study Description), then you must also provide
 a Method Title, a Method Description and a Sampling Description.</span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">Sampling Description:</span><span class="regtext">
+<tr><td colspan="2" align="left"><span class="text-info">Sampling Description:</span><span class="regtext">
 Describe the sampling design of the study. For example, you might describe
 the way in which treatments were assigned to sampling units.  If you provide
 information in this field (Sampling Description), then you must also provide
@@ -323,7 +323,7 @@
 <a name="DistributionIinformation"></a>
 DISTRIBUTION INFORMATION</font></td></tr> 
 
-<tr><td colspan="2" align="left"><span class="label">
+<tr><td colspan="2" align="left"><span class="text-info">
 <a name=Site-specificCode></a>
 Data Set Identifier:</span><span class="regtext"> If available, please enter a name or number that uniquely identifies and describes concisely the data set. 
 Alternatively, provide other pertinent information that can identify and locate the data set within your site's data management system. 
@@ -333,18 +333,18 @@
 for locating the data set at a [% config.site %].
 [%END%]
 </span></td></tr>
-<tr><td colspan="2" align="left"><span class="label">*Data Medium</font>:</span><span class="regtext"> Specify whether the data medium is 
+<tr><td colspan="2" align="left"><span class="text-info">*Data Medium</font>:</span><span class="regtext"> Specify whether the data medium is 
 digital (e.g., computer file) or hardcopy (e.g., paper), or specify any other type of data medium the data are recorded on (e.g., video tape).</span></td></tr>
 
 
-<tr><td colspan="2" align="left"><span class="label">*Usage Rights:</span><span class="regtext"> Specify the usage rights that apply
+<tr><td colspan="2" align="left"><span class="text-info">*Usage Rights:</span><span class="regtext"> Specify the usage rights that apply
 to the data set (e.g., no restrictions, obtain permission from data set owner(s), cite the data set in publications, etc.). </span></td></tr>
 
-<tr><td colspan="2" align="left"><span class="label">URL:</span><span class="regtext"> If available, provide a link for the
+<tr><td colspan="2" align="left"><span class="text-info">URL:</span><span class="regtext"> If available, provide a link for the
 location of more metadata or the data set itself (this URL should be as permanent as possible).</span></td></tr>
 
 <a name="AdditionalInformation"></a>
-<tr><td class="borderbottom" colspan="2" align="left"><span class="label">Additional Information:</span><span class="regtext"> Add
+<tr><td class="borderbottom" colspan="2" align="left"><span class="text-info">Additional Information:</span><span class="regtext"> Add
 any additional information here that you deem relevant to the data set, which has not been covered in the form.  For example, if the data set is in the form 
 of a computer file, you could specify the file format here (e.g., Excel, Access, FoxPro, DBase, etc.).</span></td></tr>
 </table>