Index: lib/style/common/templates/metacatui/genericGuide.tmpl
===================================================================
--- lib/style/common/templates/metacatui/genericGuide.tmpl	(revision 7942)
+++ lib/style/common/templates/metacatui/genericGuide.tmpl	(revision 7943)
@@ -182,69 +182,76 @@
 				for the principal data set owner's address.</p>
 			
 			</div>
+			
+			<div class="row-fluid">
+				<a name="AdditionalOriginators"></a>
+				<h4>ASSOCIATED PARTIES</h4> 
 
+				<p>If applicable, enter the first and last names of an associated party (e.g., co-owner of the data set, a data custodian/steward, a metadata provider, a user of 
+				the data set), select a role for this person, and click on "Add Associated Party".  Repeat to add another associated party.</p>
 
-<tr class="sectheader"><td class="topbottom" colspan="2" align="left"><a name="AdditionalOriginators"></a>ASSOCIATED PARTIES</td></tr> 
+				<p>To edit an entry, click on the name of the person entered, change the name and/or 
+				the role, and click on the area just right of the drop-down menu for the role (the text fields and the drop-down menu will disappear). To delete an entry, click on the "X". 
+				If you have entered several associated parties and want to change the order in which they appear, use the blue up and down arrows.</p>
+				
+			</div>
+			
+			<div class="row-fluid">
+				<a name="DataSetAbstract"></a>
+				<h4>*DATA SET ABSTRACT</h4>
+				<p>Short (maximum of 350 words) summary of the purpose and content of the data set. 
+					Entering a data set abstract is required.
+				</p>
+				<p>
+					<u>Example:</u> Data were collected every year in summer and fall from
+					1967 to 1979. Trapping was conducted only in the fall from 1980 to
+					1988. For each specimen taken, data were recorded on species, date,
+					location, time, sex, and body measurements including total length,
+					length of tail, length of hind foot, length of ear, and body mass.
+					The purpose of the data was to index the population size of all
+					species present over a long time period.
+				</p>
+				
+			</div>
+			
+			<div class="row-fluid">
+				<a name="KeywordInformation"></a>
+				<h4>KEYWORD INFORMATION</h4>
+				<p>Provide information for as many keywords as needed. The information is provided in groups of three 
+					fields: keyword, keyword type, and keyword thesaurus. Repeat steps 1-4 below for each additional keyword.
+				</p>
+				<p>Have a look at the <a href="http://gcmd.nasa.gov/Resources/valids/gcmd_parameters.html" target="nasa">NASA Global Change Master Directory
+					(GCMD)</a> (particularly under EARTH SCIENCE > Biosphere) and see if you can find keywords that appropriately describe your data set.  
+					If not, use your own keywords.
+				</p>
+				<p><span class="text-info">1. Keyword: </span>
+					Enter a word or phrase that describes your data set.</p>
+				<p><span class="text-info">2. Keyword Type: </span>
+					Select the keyword type (a term used to group similar keywords). The different types are ("none" is the default):
 
-<tr><td colspan="2" align="left"><span class="regtext">
-If applicable, enter the first and last names of an associated party (e.g., co-owner of the data set, a data custodian/steward, a metadata provider, a user of 
-the data set), select a role for this person, and click on "Add Associated Party".  Repeat to add another associated party.</td></tr> 
-<tr><td colspan="2" align="left"><span class="regtext">To edit an entry, click on the name of the person entered, change the name and/or 
-the role, and click on the area just right of the drop-down menu for the role (the text fields and the drop-down menu will disappear). To delete an entry, click on the "X".
- If you have entered several associated parties and want to change the order in which they appear, use the blue up and down arrows.</tr>
+					<ul>
+						<li>Theme: the keyword identifies a particular subject or topic.</li>
+						<li>Place: the keyword identifies a place.</li>
+						<li>Stratum: the keyword identifies the layer(s) of any deposited substance.</li>
+						<li>Temporal: the keyword identifies a time period related to the data set.
+						<li>Taxonomic: the keyword identifies a particular taxon.</li>
+					</ul>
+				</p>
+				<p><span class="text-info">3. Keyword Thesaurus: </span>
+					Select whether you used the NASA Global Change Master Directory (GCMD) or not to choose your keywords.
+				</p>
+				<p>
+					<span class="text-info">4. Click</span> on the <b>"Add Keyword"</b> button to add the keyword information provided.
+				</p>
+				<p>To edit a keyword entry, click on the keyword entered, change the keyword, keyword type, and/or keyword 
+					thesaurus, and click on the area just right of the thesaurus drop-down menu (the text field and the drop-down menus will disappear).  To delete an entry, click on the "X". 
+					If you have entered several keywords and want to change the order in which they appear, use the blue up and down arrows.
+				</p>
+				
+			</div>	
 
 
 <tr class="sectheader"><td class="topbottom" colspan="2" align="left">
-<a name="DataSetAbstract"></a>*DATA SET ABSTRACT</td></tr>
-
-<tr><td colspan="2" align="left"><span class="regtext">Short (maximum of 350 words) summary of the
-purpose and content of the data set. Entering a data set abstract is required.</td></tr>
-
-<tr><td colspan="2" align="left"><span class="regtext"><u>Example:</u> Data were collected every year in summer and fall from
-1967 to 1979. Trapping was conducted only in the fall from 1980 to
-1988. For each specimen taken, data were recorded on species, date,
-location, time, sex, and body measurements including total length,
-length of tail, length of hind foot, length of ear, and body mass.
-The purpose of the data was to index the population size of all
-species present over a long time period.</td></tr>
-
-<tr class="sectheader"><td class="topbottom" colspan="2" align="left">
-<a name="KeywordInformation"></a>KEYWORD INFORMATION</td></tr>
-
-<tr><td colspan="2" align="left"><span class="regtext">Provide information for as many keywords as needed. The information is provided in groups of three 
-fields: keyword, keyword type, and keyword thesaurus. Repeat steps 1-4 below for each additional keyword.</td></tr>
-
-<tr><td colspan="2" align="left"><span class="regtext">Have a look at the <a href=
-"http://gcmd.nasa.gov/Resources/valids/gcmd_parameters.html" target="nasa">NASA Global Change Master Directory
-(GCMD)</a> (particularly under EARTH SCIENCE > Biosphere) and see if you can find keywords that appropriately describe your data set.  If not, use your own keywords.</span></td></tr>
-
-<tr><td colspan="2" align="left"><span class="text-info">1. Keyword: </span><span class="regtext"> Enter a
-word or phrase that describes your data set.</span></td></tr>
-
-<tr><td colspan="2" align="left"><span class="text-info">2. Keyword Type: </span>
-<span class="regtext">Select the keyword type (a term used to group similar keywords). The different types are ("none" is the default):
-
-   <ul>
-      <li>Theme: the keyword identifies a particular subject or topic.</li>
-      <li>Place: the keyword identifies a place.</li>
-      <li>Stratum: the keyword identifies the layer(s) of any deposited substance.</li>
-      <li>Temporal: the keyword identifies a time period related to the data set.
-      <li>Taxonomic: the keyword identifies a particular taxon.</li>
-</ul></span></td></tr>
-<tr><td colspan="2" align="left"><span class="text-info">3. Keyword Thesaurus: </span><span class="regtext">Select whether you used the NASA Global Change Master Directory
-(GCMD) or not to choose your keywords.</span></td></tr> 
-
-
-
-<tr><td colspan="2" align="left"><span class="regtext"><b>4.</b> Click on the <b>"Add Keyword"</b> button to add the keyword information provided.</span>  
-
-
-<tr><td colspan="2" align="left"><span class="regtext">To edit a keyword entry, click on the keyword entered, change the keyword, keyword type, and/or keyword 
-thesaurus, and click on the area just right of the thesaurus drop-down menu (the text field and the drop-down menus will disappear).  To delete an entry, click on the "X". 
-If you have entered several keywords and want to change the order in which they appear, use the blue up and down arrows.</span></td></tr>
-
-
-<tr class="sectheader"><td class="topbottom" colspan="2" align="left">
 <a name="TemporalCoverageOfData"></a>TEMPORAL COVERAGE OF DATA</td></tr>
 
 <tr><td colspan="2" align="left"><span class="text-info">*Start Date:</span><span class="regtext"> The first year, month, and