Index: lib/style/common/templates/metacatui/genericGuide.tmpl
===================================================================
--- lib/style/common/templates/metacatui/genericGuide.tmpl	(revision 7943)
+++ lib/style/common/templates/metacatui/genericGuide.tmpl	(revision 7944)
@@ -250,39 +250,46 @@
 				
 			</div>	
 
+			<div class="row-fluid">
+				<a name="TemporalCoverageOfData"></a>
+				<h4>TEMPORAL COVERAGE OF DATA</h4>
+				<p><span class="text-info">*Start Date: </span>
+					The first year, month, and
+					day of the collection/creation of the data set. A start date is required. Type in the year (yyyy), and choose the month and the day from the
+					drop-down menus.
+				</p>
+				<p><span class="text-info">Stop Date:</span>
+					The last year, month, and
+					day for the collection/creation of the data set. Type in the year, and choose the month and the day from the drop-down menus.
+				</p>
+				<p>
+					<u>Note:</u> Leave "Stop Date" blank if your data set is open-ended.
+				</p>
+			</div>
+			
+			<div class="row-fluid">
+				<a name="SpatialCoverageOfData"></a>
+				<h4>SPATIAL COVERAGE OF DATA</h4> 
+				<p><span class="text-info">*Geographic Description:</span>
+					Enter a general description of the geographic area in which the data were collected. This can be a simple place name (e.g., Santa Barbara) or a fuller description.
+					This field supplements the coordinates provided below and helps orient the data user about the general location of the study.
+				</p>
+				<p><span class="text-info">*Coordinates:</span>
+					The latitude and longitude
+					coordinates (in degrees, minutes and seconds) of the location where the data were collected. At least one lat/long pair is required. From the drop-down menus, select 
+					the North (N) or South (S) orientation for the latitudes, and the West (W) or East (E) orientation for the longitudes.
+				</p>
+				<p>
+					If you enter <b>one coordinate pair only</b>: This indicates a point location.
+				</p>
+				<p>If you enter <b>both coordinate pairs</b>: This indicates a
+					bounding box. The first coordinate pair is the northwest corner and
+					the second coordinate pair is the southeast corner of the bounding
+					box.
+				</p>
+			</div>	
 
 <tr class="sectheader"><td class="topbottom" colspan="2" align="left">
-<a name="TemporalCoverageOfData"></a>TEMPORAL COVERAGE OF DATA</td></tr>
-
-<tr><td colspan="2" align="left"><span class="text-info">*Start Date:</span><span class="regtext"> The first year, month, and
-day of the collection/creation of the data set. A start date is required. Type in the year (yyyy), and choose the month and the day from the
-drop-down menus.</span></td></tr>
-
-<tr><td colspan="2" align="left"><span class="text-info">Stop Date:</span><span class="regtext"> The last year, month, and
-day for the collection/creation of the data set. Type in the year, and choose the month and the day from the drop-down menus.<br> 
-<u>Note:</u> Leave "Stop Date" blank if your data set is open-ended.</span></td></tr>
-
-<tr class="sectheader"><td class="topbottom" colspan="2" align="left">
-<a name="SpatialCoverageOfData"></a>SPATIAL COVERAGE OF DATA</span></td></tr> 
-
-
-<tr><td colspan="2" align="left"><span class="text-info">*Geographic Description:</span><span class="regtext"> 
-Enter a general description of the geographic area in which the data were collected. This can be a simple place name (e.g., Santa Barbara) or a fuller description.
-This field supplements the coordinates provided below and helps orient the data user about the general location of the study.</span></td></tr>
-
-<tr><td colspan="2" align="left"><span class="text-info">*Coordinates:</span><span class="regtext"></span><span class="regtext"> The latitude and longitude
-coordinates (in degrees, minutes and seconds) of the location where the data were collected. At least one lat/long pair is required. From the drop-down menus, select 
-the North (N) or South (S) orientation for the latitudes, and the West (W) or East (E) orientation for the longitudes.</span></td></tr>
-
-<tr><td colspan="2" align="left"><span class="regtext">If you enter <b>one coordinate pair only</b>: This indicates a
-point location.</span></td></tr>
-
-<tr><td colspan="2" align="left"><span class="regtext">If you enter <b>both coordinate pairs</b>: This indicates a
-bounding box. The first coordinate pair is the northwest corner and
-the second coordinate pair is the southeast corner of the bounding
-box.</span></td></tr>
-
-<tr class="sectheader"><td class="topbottom" colspan="2" align="left">
 <a name="TaxonomicCoverage"></a>
 TAXONOMIC COVERAGE OF DATA</td></tr>
 