Index: lib/style/common/templates/metacatui/genericGuide.tmpl
===================================================================
--- lib/style/common/templates/metacatui/genericGuide.tmpl	(revision 7944)
+++ lib/style/common/templates/metacatui/genericGuide.tmpl	(revision 7945)
@@ -289,78 +289,92 @@
 				</p>
 			</div>	
 
-<tr class="sectheader"><td class="topbottom" colspan="2" align="left">
-<a name="TaxonomicCoverage"></a>
-TAXONOMIC COVERAGE OF DATA</td></tr>
+			<div class="row-fluid">
+				<a name="TaxonomicCoverage"></a>
+				<h4>TAXONOMIC COVERAGE OF DATA</h4>
+				<p>
+					Provide a list of the taxa that are associated with this data set. 
+					This includes taxa for which the data set contains measurements, and taxa
+					for which the data have relevance in less direct ways.  In general, if a
+					data user searching for a particular taxonomic name should find this data set,
+					then the taxon should be included in this list.
+				</p>
+				<p>
+					Please check the <a href=
+					"http://darwin.zoology.gla.ac.uk/~rpage/MyToL/www/index.php" target="darwin">Glasgow Taxonomic Name Server</a> or the <a href=
+					"http://www.itis.usda.gov/" target="itis">Integrated Taxonomic Information System</a> for correct spelling 
+					of taxonomic names.
+				</p>
+				<p>For each taxon, follow the three steps below:
+					<ol>
+						<li>
+							<span class="text-info">Taxonomic Rank:</span> Enter the level in the taxonomic hierarchy 
+							(Kingdom, Phylum, Class, Order, Family, Genus, or Species).
+						</li>
+						<li>
+							<span class="text-info">Taxonomic Name:</span> Enter the scientific name for the level 
+							entered under Taxonomic Rank (e.g., <i>Animalia</i>, <i>Chordata</i>, <i>Mammalia</i>, <i>Carnivoria</i>, <i>Ursidae</i>, <i>Ursus</i>, or <i>Ursus arctos</i>).
+						</li>
+						<li>
+							<span class="text-info">Click</span> on the <b>"Add Taxon"</b> button to add the taxonomic information.
+						</li>
+					</ol>
+				</p>
+				<p>
+					To edit an entry, click on the taxonomic information entered, change the taxonomic rank and/or name, and click on the area just right of the text field for the name (the two text 
+					fields will disappear).  To delete an entry, click on the "X". If you have entered several taxa and want to change the order in which they appear, use the blue up and 
+					down arrows.
+				</p>
+				<p>
+					<span class="text-info">Taxonomic Reference:</span> The name
+					or complete citation of the source(s) used for identifying and naming taxa (e.g., name of a field guide, key, or nomenclature revision). 
+				</p>
+			</div>
+			
+			<div class="row-fluid">
+				<a name="Methods"></a>
+				<h4>DATA COLLECTION METHODS</h4> 
+				<p>
+					<span class="text-info">Method Title:</span> A title for the method used to generate
+					the data (e.g., Measure of zooplankton abundance using radial quadrat sub-sampling).
+				</p>
+				<p>
+					<span class="text-info">Method Description:</span> Description of the method used.  
+					This is intended to be a general method description that is suitable to help potential users of the data decide if the data are appropriate for their purposes.  
+					You can add multiple paragraphs to the description by clicking on the "Add Paragraph to Method Description"
+					button (paragraphs added by using the ENTER key in the Method Description field will not appear as paragraphs in the submitted form).
+				</p>
+				<p>
+					<span class="text-info">Extent of Study Description:</span>
+					Describe the temporal, spatial and taxonomic extent of the study, supplementing
+					the information on coverage provided above. For example, if the temporal
+					coverage of the data is 1990-2000, you might provide details about any years
+					that were missed or the months in which sampling actually occurred. If you
+					provide information in this field (Extent of Study Description), then you must also provide
+					a Method Title, a Method Description and a Sampling Description.
+				</p>
+				<p>
+					<span class="text-info">Sampling Description:</span>
+					Describe the sampling design of the study. For example, you might describe
+					the way in which treatments were assigned to sampling units.  If you provide
+					information in this field (Sampling Description), then you must also provide
+					a a Method Title, a Method Description and an Extent of Study Description.
+				</p>
+			</div>
+			
+			<div class="row-fluid">
+				<a name="DataSetContactAddress"></a>                                   
+				<h4>DATA SET CONTACT</h4>
+				<p>
+					Contact information of the person to be contacted for more information on the data
+					set or to obtain the data set itself. This is analogous to the Principal Data Set Owner information above. Please 
+					<a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#DataSetOriginator" target="_self">see that section</a> for more information on filling out the 
+					individual fields. If the Data Set Contact and the Principal Data Set Owner are the same, check the box provided.
+				</p>
+			</div>	
 
-<tr><td colspan="2" align="left"><span class="regtext">
-Provide a list of the taxa that are associated with this data set. 
-This includes taxa for which the data set contains measurements, and taxa
-for which the data have relevance in less direct ways.  In general, if a
-data user searching for a particular taxonomic name should find this data set,
-then the taxon should be included in this list.</span></td></tr> 
 
-<tr><td colspan="2" align="left"><span class="regtext">Please check the <a href=
-"http://darwin.zoology.gla.ac.uk/~rpage/MyToL/www/index.php" target="darwin">Glasgow Taxonomic Name Server</a> or the <a href=
-"http://www.itis.usda.gov/" target="itis">Integrated Taxonomic Information System</a> for correct spelling 
-of taxonomic names.</span></td></tr>
-<tr><td colspan="2" align="left"><span class="regtext">For each taxon, follow the three steps below:</span></td></tr>
-<tr><td colspan="2" align="left"><span class="text-info">1. Taxonomic Rank:</span><span class="regtext"> Enter the level in the taxonomic hierarchy 
-(Kingdom, Phylum, Class, Order, Family, Genus, or Species).</span></td></tr> 
-<tr><td colspan="2" align="left"><span class="text-info">2. Taxonomic Name:</span><span class="regtext"> Enter the scientific name for the level 
-entered under Taxonomic Rank (e.g., <i>Animalia</i>, <i>Chordata</i>, <i>Mammalia</i>, <i>Carnivoria</i>, <i>Ursidae</i>, <i>Ursus</i>, or <i>Ursus arctos</i>).</span></td></tr>
-
-<tr><td colspan="2" align="left"><span class="regtext"><b>3.</b> Click on the <b>"Add Taxon"</b> button to add the taxonomic information.</span></td></tr>
-
-<tr><td colspan="2" align="left"><span class="regtext">To edit an entry, click on the taxonomic information entered, change the taxonomic rank and/or name, and click on the area just right of the text field for the name (the two text 
-fields will disappear).  To delete an entry, click on the "X". If you have entered several taxa and want to change the order in which they appear, use the blue up and 
-down arrows.</span></td></tr>
-
-<tr><td colspan="2" align="left"><span class="text-info">Taxonomic Reference:</span><span class="regtext"> The name
-or complete citation of the source(s) used for identifying and naming taxa (e.g., name of a field guide, key, or nomenclature revision). </span></td></tr>
-
 <tr class="sectheader"><td class="topbottom" colspan="2" align="left">
-<a name="Methods"></a>DATA COLLECTION METHODS</td></tr> 
-
-
-<tr><td colspan="2" align="left"><span class="text-info">Method Title:</span><span class="regtext"> A title for the method used to generate
-the data (e.g., Measure of zooplankton abundance using radial quadrat sub-sampling).</span></td></tr>
-
-<tr><td colspan="2" align="left"><span class="text-info">Method Description:</span><span class="regtext"> Description of the method used.  
-This is intended to be a general method description that is suitable to help potential users of the data decide if the data are appropriate for their purposes.  
-You can add multiple paragraphs to the description by clicking on the "Add Paragraph to Method Description"
-button (paragraphs added by using the ENTER key in the Method Description field will not appear as paragraphs in the submitted form).
-</span></td></tr>
-
-<!--<tr><td colspan="2" align="left"><span class="regtext">Click on the "Describe Another Method" button
-to describe another method.</span></td></tr>-->
-
-<tr><td colspan="2" align="left"><span class="text-info">Extent of Study Description:</span><span class="regtext">
- Describe the temporal, spatial and taxonomic extent of the study, supplementing
-the information on coverage provided above. For example, if the temporal
-coverage of the data is 1990-2000, you might provide details about any years
-that were missed or the months in which sampling actually occurred. If you
-provide information in this field (Extent of Study Description), then you must also provide
-a Method Title, a Method Description and a Sampling Description.</span></td></tr>
-
-<tr><td colspan="2" align="left"><span class="text-info">Sampling Description:</span><span class="regtext">
-Describe the sampling design of the study. For example, you might describe
-the way in which treatments were assigned to sampling units.  If you provide
-information in this field (Sampling Description), then you must also provide
-a a Method Title, a Method Description and an Extent of Study Description.
-</span></td></tr>
-
-<tr class="sectheader"><td class="topbottom" colspan="2" align="left">
-<a name="DataSetContactAddress"></a>                                   
-DATA SET CONTACT</td></tr>
-
-<tr><td colspan="2" align="left"><span class="regtext">Contact information of the person to be contacted for more information on the data
-set or to obtain the data set itself. This is analogous to the Principal Data Set Owner information above. Please 
-<a href="[% cgiPrefix %]/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#DataSetOriginator" target="_self">see that section</a> for more information on filling out the 
-individual fields. If the Data Set Contact and the Principal Data Set Owner are the same, check the box provided.</span></td></tr>
-
-
-<tr class="sectheader"><td class="topbottom" colspan="2" align="left">
 <a name="DistributionIinformation"></a>
 DISTRIBUTION INFORMATION</font></td></tr> 
 