Index: lib/style/common/templates/metacatui/deleteData.tmpl
===================================================================
--- lib/style/common/templates/metacatui/deleteData.tmpl	(revision 7956)
+++ lib/style/common/templates/metacatui/deleteData.tmpl	(revision 7957)
@@ -13,65 +13,53 @@
 				<p>
 					Please enter your username, organization, and password to delete this document.
 				</p>
-			</div>	
+			</div>
+			
+			<div class="row-fluid">
 
-<form action="[% cgiPrefix %]/register-dataset.cgi" method="post">
-  <input type="hidden" name="cfg" value="[% cfg %]">
-  <input type="hidden" name="docid" value="[% docid %]">
-  <input type="hidden" name="stage" value="delete_confirm"> 
-    <table cellspacing="0" border="0" cellpadding="9" width="350" align="left">
-        <tr class="sectbody">
-	  <td>
-	    <font size="-1"><b>
-	      Username: 
-	    </b></font></td>
-         <td>
-	    <input type="TEXT" name="username">
-	  </td></tr>
-	<tr class="sectbody">
-	  <td>
-	    <font size="-1"><b> 	
-	      Organization: 
-	    </b></font></td>
-	  <td>
-	    <select name="organization">
-                <option value="NCEAS">NCEAS</option>
-                <option value="KU">KU</option>
-                <option value="LTER">LTER</option>
-                <option value="OBFS">OBFS</option>
-                <option value="OSUSB">OSUSB</option>
-                <option value="PARC">PARC</option>
-                <option value="PISCO">PISCO</option>
-                <option value="SDSC">SDSC</option>
-                <option value="UCNRS">UCNRS</option>
-                <option value="unaffiliated">unaffiliated</option>
-	    </select></td></tr>
-	<tr class="sectbody">
-	  <td>
-	    <font size="-1"><b> 	
-	      Password: 
-	    </b></font>
-          </td>
-	  <td>
-	    <input type="PASSWORD" name="password">
-	  </td></tr>
-      </table>
-</td></tr></table>
-<p>
-<hr>
-</p>
-<table class="intro" cellspacing="0" border="0" cellpadding="9">
-  <tr> 
-    <td> 
-      <font size="-1"><b>Are you sure you want to delete this document?</b></font> 
-      <p> 
-        <input type="SUBMIT" value="Delete document" name="deleteData">
-        <input type="SUBMIT" value="   Cancel  " name="cancelData">
-      </p>
-    </td>
-  </tr>
-</table>
-</form>
+				<form action="[% cgiPrefix %]/register-dataset.cgi" method="post">
+					<input type="hidden" name="cfg" value="[% cfg %]">
+					<input type="hidden" name="docid" value="[% docid %]">
+					<input type="hidden" name="stage" value="delete_confirm">
+					
+		    		<div class="row-fluid">
+						<div class="span2 text-left">Username</div>
+						<div class="span4 text-left"><input name="uid" type="text" value=""></div>
+					</div>
+					<div class="row-fluid">
+						<div class="span2 text-left">Organization</div>
+						<div class="span4 text-left">
+							<select name="organization">
+								<option value="" selected>&#8212; choose one &#8212;</option>
+								<option value="NCEAS">NCEAS</option>
+								<option value="LTER">LTER</option>
+								<option value="KU">KU</option>
+								<option value="OBFS">OBFS</option>
+								<option value="OSUSB">OSUSB</option>
+								<option value="PARC">PARC</option>
+								<option value="PISCO">PISCO</option>
+								<option value="SAEON">SAEON</option>
+								<option value="SANParks">SANParks</option>
+								<option value="SDSC">SDSC</option>
+								<option value="UCNRS">UCNRS</option>
+								<option value="unaffiliated">unaffiliated</option>
+							</select>
+						</div>
+					</div>
+					<div class="row-fluid">
+						<div class="span2 text-left">Password</div>
+						<div class="span4 text-left"><input name="password" type="password" maxlength="50"
+							value=""></div>
+					</div>
+					<div class="row-fluid">
+						<p>Are you sure you want to delete this document?</p> 
+				        <input type="SUBMIT" value="Delete document" name="deleteData">
+				        <input type="SUBMIT" value="   Cancel  " name="cancelData">
+				    </div>
+				    
+				</form>
+				    
+			</div>				        
 
 		</div>
 	</article>