Index: lib/style/skins/metacatui/eml-2/eml-party.xsl
===================================================================
--- lib/style/skins/metacatui/eml-2/eml-party.xsl	(revision 8004)
+++ lib/style/skins/metacatui/eml-2/eml-party.xsl	(revision 8005)
@@ -31,7 +31,7 @@
 -->
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
-  <xsl:output method="html" encoding="iso-8859-1"
+  <xsl:output method="html" encoding="UTF-8"
               doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
               doctype-system="http://www.w3.org/TR/html4/loose.dtd"
               indent="yes" />  
Index: lib/style/skins/metacatui/eml-2/eml-protocol.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: lib/style/skins/metacatui/eml-2/eml-access.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: lib/style/skins/metacatui/eml-2/eml-attribute.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: lib/style/skins/metacatui/eml-2/eml-project.xsl
===================================================================
--- lib/style/skins/metacatui/eml-2/eml-project.xsl	(revision 8004)
+++ lib/style/skins/metacatui/eml-2/eml-project.xsl	(revision 8005)
@@ -31,7 +31,7 @@
 -->
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
-  <xsl:output method="html" encoding="iso-8859-1"
+  <xsl:output method="html" encoding="UTF-8"
               doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
               doctype-system="http://www.w3.org/TR/html4/loose.dtd"
               indent="yes" />  
Index: lib/style/skins/metacatui/eml-2/eml-storedprocedure.xsl
===================================================================
--- lib/style/skins/metacatui/eml-2/eml-storedprocedure.xsl	(revision 8004)
+++ lib/style/skins/metacatui/eml-2/eml-storedprocedure.xsl	(revision 8005)
@@ -32,7 +32,7 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
 
-  <xsl:output method="html" encoding="iso-8859-1"
+  <xsl:output method="html" encoding="UTF-8"
               doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
               doctype-system="http://www.w3.org/TR/html4/loose.dtd"
               indent="yes" />  
Index: lib/style/skins/metacatui/eml-2/eml-view.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: lib/style/skins/metacatui/eml-2/eml-entity.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: lib/style/skins/metacatui/eml-2/eml-physical.xsl
===================================================================
--- lib/style/skins/metacatui/eml-2/eml-physical.xsl	(revision 8004)
+++ lib/style/skins/metacatui/eml-2/eml-physical.xsl	(revision 8005)
@@ -31,7 +31,7 @@
 -->
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
-  <xsl:output method="html" encoding="iso-8859-1"
+  <xsl:output method="html" encoding="UTF-8"
               doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
               doctype-system="http://www.w3.org/TR/html4/loose.dtd"
               indent="yes" />  
Index: lib/style/skins/metacatui/eml-2/eml-spatialraster.xsl
===================================================================
--- lib/style/skins/metacatui/eml-2/eml-spatialraster.xsl	(revision 8004)
+++ lib/style/skins/metacatui/eml-2/eml-spatialraster.xsl	(revision 8005)
@@ -32,7 +32,7 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
 
-  <xsl:output method="html" encoding="iso-8859-1"
+  <xsl:output method="html" encoding="UTF-8"
               doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
               doctype-system="http://www.w3.org/TR/html4/loose.dtd"
               indent="yes" />  
Index: lib/style/skins/metacatui/eml-2/eml-otherentity.xsl
===================================================================
--- lib/style/skins/metacatui/eml-2/eml-otherentity.xsl	(revision 8004)
+++ lib/style/skins/metacatui/eml-2/eml-otherentity.xsl	(revision 8005)
@@ -32,7 +32,7 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
 
-  <xsl:output method="html" encoding="iso-8859-1"
+  <xsl:output method="html" encoding="UTF-8"
               doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
               doctype-system="http://www.w3.org/TR/html4/loose.dtd"
               indent="yes" />  
Index: lib/style/skins/metacatui/eml-2/eml-distribution.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: lib/style/skins/metacatui/eml-2/eml-method.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: lib/style/skins/metacatui/eml-2/eml-literature.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: lib/style/skins/metacatui/eml-2/eml-spatialvector.xsl
===================================================================
--- lib/style/skins/metacatui/eml-2/eml-spatialvector.xsl	(revision 8004)
+++ lib/style/skins/metacatui/eml-2/eml-spatialvector.xsl	(revision 8005)
@@ -32,7 +32,7 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
 
-  <xsl:output method="html" encoding="iso-8859-1"
+  <xsl:output method="html" encoding="UTF-8"
               doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
               doctype-system="http://www.w3.org/TR/html4/loose.dtd"
               indent="yes" />  
Index: lib/style/skins/metacatui/eml-2/eml-datatable.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: lib/style/skins/metacatui/eml-2/eml-attribute-enumeratedDomain.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: lib/style/skins/metacatui/eml-2/eml-constraint.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: lib/style/skins/metacatui/eml-2/eml-dataset.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: lib/style/skins/metacatui/eml-2/eml-software.xsl
===================================================================
--- lib/style/skins/metacatui/eml-2/eml-software.xsl	(revision 8004)
+++ lib/style/skins/metacatui/eml-2/eml-software.xsl	(revision 8005)
@@ -32,7 +32,7 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
 
-  <xsl:output method="html" encoding="iso-8859-1"
+  <xsl:output method="html" encoding="UTF-8"
               doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
               doctype-system="http://www.w3.org/TR/html4/loose.dtd"
               indent="yes" />  
Index: lib/style/skins/metacatui/eml-2/eml-coverage.xsl
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml