Index: lib/style/skins/metacatui/fgdc/fgdc-root.xsl
===================================================================
--- lib/style/skins/metacatui/fgdc/fgdc-root.xsl	(revision 8032)
+++ lib/style/skins/metacatui/fgdc/fgdc-root.xsl	(revision 8033)
@@ -70,18 +70,30 @@
 					<!-- show link? -->
 					<a> 
 						<xsl:attribute name="href">
-							<xsl:value-of select="$tripleURI"/><xsl:value-of select="$docid"/>
+							<xsl:value-of select="$viewURI"/><xsl:value-of select="$pid"/>
 						</xsl:attribute> 
-						(<xsl:value-of select="$docid"/>)
+						(<xsl:value-of select="$pid"/>)
 					</a>				        		
     			</div>
     			<div class="span2">
+    			
+    				<form method="get" action="{$contextURL}/style/common/ClientViewHelper.jspx" enctype="application/octet-stream">
+		               <input name="docid" type="hidden" value="{$docid}"/>
+		               <input name="qformat" type="hidden" value="{$qformat}"/>
+		               <input name="metadataDocId" type="hidden" value="{$docid}"/>
+		               <input name="action" value="Download" type="hidden"/>
+		               <button class="btn" type="submit">
+		               		<i class="icon-arrow-down"></i> Download Package
+		               </button>
+		           </form>
+           			<!--  
    					<a class="btn">
    						<xsl:attribute name="href">
-							<xsl:value-of select="$tripleURI"/><xsl:value-of select="$docid"/>
+							<xsl:value-of select="$packageURI"/><xsl:value-of select="$pid"/>
 						</xsl:attribute>
    						<i class="icon-arrow-down"></i> Download Package
    					</a>
+   					-->
     			</div>	
   
     		</div>
@@ -228,7 +240,7 @@
         <div class="control-group">
 			<label class="control-label">Identifier</label>
 	        <div class="controls controls-well">
-	            <xsl:value-of select="$docid"/>
+	            <xsl:value-of select="$pid"/>
 	        </div>
         </div>
     </xsl:template>
@@ -287,14 +299,8 @@
         <div class="control-group">
 			<label class="control-label">Publication Information</label>
 	        <div class="controls controls-well">
-	            <table class="subGroup subGroup_border">
-	                <tr>
-	                    <xsl:apply-templates select="pubplace"/>
-	                </tr>
-	                <tr>
-	                    <xsl:apply-templates select="publish"/>
-	                </tr>
-	            </table>
+	            <xsl:apply-templates select="pubplace"/>
+	            <xsl:apply-templates select="publish"/>
 	        </div>
         </div>
     </xsl:template>
@@ -302,7 +308,7 @@
     <xsl:template match="pubplace">
         <div class="control-group">
 			<label class="control-label">Publication Place</label>
-	        <div class="controls controls-well">
+	        <div class="controls">
 	            <xsl:value-of select="."/>
 	        </div>
         </div>
@@ -311,7 +317,7 @@
     <xsl:template match="publish">
         <div class="control-group">
 			<label class="control-label">Publisher</label>
-	        <div class="controls controls-well">
+	        <div class="controls">
 	            <xsl:value-of select="."/>
 	        </div>
         </div>
@@ -318,146 +324,111 @@
     </xsl:template>
     
     <xsl:template match="distinfo">
-        <table width="100%" border="0" cellspacing="0" class="subGroup subGroup_border">
-            <tr>
-                <td colspan="5" align="center">
-                    <h2>Data Package Information</h2>
-                </td>
-            </tr>
-            <tr>
-                <td class="tablehead">
-                    File type
-                </td>
-                <td class="tablehead" colspan="2">
-                    File name (Doc Id)
-                </td>
-                <xsl:if test="$enableFGDCediting = 'true' and not($sessionid = '')">
-                    <td align="left" colspan="2" class="tablehead">
-                        Actions...
-                    </td>
-                </xsl:if>
-            </tr>
-            <tr>
-                <xsl:apply-templates select="resdesc"/>
-            </tr>
+    	<h4>Data Package Information</h4>
+        <div class="form-horizontal">
+            <xsl:apply-templates select="resdesc"/>
             <xsl:apply-templates select="stdorder/digform/digtopt/onlinopt/computer/networka"/>
-        </table>
+        </div>
     </xsl:template>
     
     <xsl:template match="resdesc">
-        <td class="highlight" align="left" valign="top">Metadata</td>
-        <td class="secondCol" align="left" valign="top">
-        	<xsl:value-of select="../custom"/> (<xsl:value-of select="."/>)
-        	
-        	<!-- update -->
-		<xsl:if test="$enableFGDCediting = 'true' and not($sessionid = '')">
-			<br/>
-			<br/>
-			<form method="post" action="{$contextURL}/style/common/ClientViewHelper.jspx"
-                     enctype="multipart/form-data">
-                   <input name="action" value="Update Metadata" type="hidden"/>
-                   <input name="docid" type="hidden" value="{.}"/>
-                   <input name="qformat" type="hidden" value="{$qformat}"/>
-                   <input name="metadataDocId" type="hidden" value="{.}"/>
-                   <input name="updateFile" type="file"/>
-                   <input name="submit" value="Update" type="submit"/>
-               </form>
-		</xsl:if>
-		
-       </td>
-       <!-- download -->
-       <td class="secondCol" valign="bottom">
-           <form method="get" action="{$contextURL}/style/common/ClientViewHelper.jspx">
-               <input name="action" value="Download" type="submit"/>
-               <input name="docid" type="hidden" value="{.}"/>
-               <input name="qformat" type="hidden" value="{$qformat}"/>
-               <input name="metadataDocId" type="hidden" value="{.}"/>
-           </form>
-       </td>
-       
-       <xsl:if test="$enableFGDCediting = 'true' and not($sessionid = '')">
-       	<!-- delete -->
-       	<td class="secondCol" valign="bottom">
-           	<form method="get" action="{$contextURL}/style/common/ClientViewHelper.jspx"
-                     enctype="text/html">
-                   <input name="action" value="Delete" type="submit"/>
-                   <input name="docid" type="hidden" value="{.}"/>
-                   <input name="qformat" type="hidden" value="{$qformat}"/>
-                   <input name="metadataDocId" type="hidden" value="{.}"/>
-               </form>
-           </td>
-           <!-- set access -->
-       	<td class="secondCol" valign="bottom">
-			<form method="get" action="{$contextURL}/style/common/ClientViewHelper.jspx">
-                   <input name="action" value="Set Access" type="submit"/>
-                   <xsl:choose>
-                       <xsl:when test="$publicRead = 'true'">
-                           <input name="publicAccess" type="checkbox" checked=''/> Public read     
-                       </xsl:when>
-                       <xsl:otherwise>
-                           <input name="publicAccess" type="checkbox"/> Public read                         
-                       </xsl:otherwise>
-                   </xsl:choose>
-                   <input name="docid" type="hidden" value="{.}"/>
-                   <input name="qformat" type="hidden" value="{$qformat}"/>
-                   <input name="metadataDocId" type="hidden" value="{.}"/>
-                   <input name="contentStandard" type="hidden" value="FGDC"/>
-			</form>
-		</td>
-	</xsl:if>
+        <div class="control-group">
+			<label class="control-label">Metadata</label>
+        	<div class="controls controls-well">
+        		
+				<!-- download -->
+				<form method="get" action="{$contextURL}/style/common/ClientViewHelper.jspx" class="form-inline">
+					<xsl:value-of select="../custom"/> (<xsl:value-of select="."/>)
+					<input name="action" value="Download" type="submit"/>
+					<input name="docid" type="hidden" value="{.}"/>
+					<input name="qformat" type="hidden" value="{$qformat}"/>
+					<input name="metadataDocId" type="hidden" value="{.}"/>
+				</form>
+
+				<xsl:if test="$enableFGDCediting = 'true' and not($sessionid = '')">
+	
+					<!-- update -->
+		       		<form method="post" action="{$contextURL}/style/common/ClientViewHelper.jspx"
+	                     enctype="multipart/form-data" class="form-inline">
+	                   <input name="action" value="Update Metadata" type="hidden"/>
+	                   <input name="docid" type="hidden" value="{.}"/>
+	                   <input name="qformat" type="hidden" value="{$qformat}"/>
+	                   <input name="metadataDocId" type="hidden" value="{.}"/>
+	                   <input name="updateFile" type="file"/>
+	                   <input name="submit" value="Update" type="submit"/>
+					</form>
+				
+					<!-- set access -->
+					<form method="get" action="{$contextURL}/style/common/ClientViewHelper.jspx" class="form-inline">
+		                   <xsl:choose>
+		                       <xsl:when test="$publicRead = 'true'">
+		                           <input name="publicAccess" type="checkbox" checked=''/> Public read     
+		                       </xsl:when>
+		                       <xsl:otherwise>
+		                           <input name="publicAccess" type="checkbox"/> Public read                         
+		                       </xsl:otherwise>
+		                   </xsl:choose>
+		                   <input name="docid" type="hidden" value="{.}"/>
+		                   <input name="qformat" type="hidden" value="{$qformat}"/>
+		                   <input name="metadataDocId" type="hidden" value="{.}"/>
+		                   <input name="contentStandard" type="hidden" value="FGDC"/>
+		                   <input name="action" value="Set Access" type="submit"/>		                   
+					</form>
+				
+					<!-- delete -->
+		           	<form method="get" action="{$contextURL}/style/common/ClientViewHelper.jspx"
+		                     enctype="text/html" class="form-inline">
+		                   <input name="action" value="Delete" type="submit"/>
+		                   <input name="docid" type="hidden" value="{.}"/>
+		                   <input name="qformat" type="hidden" value="{$qformat}"/>
+		                   <input name="metadataDocId" type="hidden" value="{.}"/>
+					</form>
+				</xsl:if>
+			</div>
+		</div>
    </xsl:template>
    
    <xsl:template match="networka">
-       <tr>
-           <xsl:apply-templates select="networkr"/>
-       </tr>
+   		<xsl:apply-templates select="networkr"/>
    </xsl:template>
    
    <xsl:template match="networkr">
 	<xsl:if test="not(./ancestor::digform/digtinfo/formcont = '')">
-       <td class="highlight" align="left" valign="top">Data</td>
-       <td class="secondCol" align="left" valign="top">
-           <xsl:value-of select="./ancestor::digform/digtinfo/formcont"/> (<xsl:value-of select="."/>)
-       	<!-- update -->
-		<xsl:if test="$enableFGDCediting = 'true' and not($sessionid = '')">
-			<br/>
-			<br/>
-               <form method="post" action="{$contextURL}/style/common/ClientViewHelper.jspx"
-                     enctype="multipart/form-data">
-                   <input name="action" value="Update Data" type="hidden"/>
-                   <input name="docid" type="hidden" value="{.}"/>
-                   <input name="qformat" type="hidden" value="{$qformat}"/>
-                   <input name="metadataDocId" type="hidden" value="{$docid}"/>
-                   <input name="updateFile" type="file"/>
-                   <input name="submit" value="Update" type="submit"/>                    
-               </form>
-		</xsl:if>                        
-       </td>
-       <!-- download -->
-       <td class="secondCol" valign="bottom">
-           <form method="get" action="{$contextURL}/style/common/ClientViewHelper.jspx" enctype="application/octet-stream">
-               <input name="action" value="Download" type="submit"/>
-               <input name="docid" type="hidden" value="{.}"/>
-               <input name="qformat" type="hidden" value="{$qformat}"/>
-               <input name="metadataDocId" type="hidden" value="{$docid}"/>
-           </form>
-       </td>
-       <xsl:if test="$enableFGDCediting = 'true' and not($sessionid = '')">
-       	<!-- delete -->
-       	<td class="secondCol" valign="bottom">
-       		<form method="get" action="{$contextURL}/style/common/ClientViewHelper.jspx"
-                     enctype="text/html">
-                   <input name="action" value="Delete" type="submit"/>
-                   <input name="docid" type="hidden" value="{.}"/>
-                   <input name="qformat" type="hidden" value="{$qformat}"/>
-                   <input name="metadataDocId" type="hidden" value="{$docid}"/>
-               </form>
-       	</td>
-       	<!-- set access -->
-       	<td class="secondCol" valign="bottom"></td>
-       	
-		</xsl:if>
+       <div class="control-group">
+			<label class="control-label">Data</label>
+       		<div class="controls controls-well">
+		        <!-- download -->
+	           <form method="get" action="{$contextURL}/style/common/ClientViewHelper.jspx" enctype="application/octet-stream" class="form-inline">
+		        	<xsl:value-of select="./ancestor::digform/digtinfo/formcont"/> (<xsl:value-of select="."/>)
+					<input name="action" value="Download" type="submit"/>
+					<input name="docid" type="hidden" value="{.}"/>
+					<input name="qformat" type="hidden" value="{$qformat}"/>
+					<input name="metadataDocId" type="hidden" value="{$docid}"/>
+	           </form>
+		       	<!-- update -->
+				<xsl:if test="$enableFGDCediting = 'true' and not($sessionid = '')">
+		               <form method="post" action="{$contextURL}/style/common/ClientViewHelper.jspx"
+		                     enctype="multipart/form-data" class="form-inline">
+		                   <input name="action" value="Update Data" type="hidden"/>
+		                   <input name="docid" type="hidden" value="{.}"/>
+		                   <input name="qformat" type="hidden" value="{$qformat}"/>
+		                   <input name="metadataDocId" type="hidden" value="{$docid}"/>
+		                   <input name="updateFile" type="file"/>
+		                   <input name="submit" value="Update" type="submit"/>                    
+		               </form>
+		               <!-- delete -->
+						<form method="get" action="{$contextURL}/style/common/ClientViewHelper.jspx"
+		                     enctype="text/html" class="form-inline">
+		                   <input name="action" value="Delete" type="submit"/>
+		                   <input name="docid" type="hidden" value="{.}"/>
+		                   <input name="qformat" type="hidden" value="{$qformat}"/>
+		                   <input name="metadataDocId" type="hidden" value="{$docid}"/>
+		               </form>	
+				</xsl:if>                        
+			</div>
+		</div>	
 	</xsl:if>
+			
    </xsl:template>
    
    <xsl:template name="date_as_is">